<?php
date_default_timezone_set('Asia/Calcutta');
include '../Config/Config.php';
class projectmanagement
{
 function ProjectList($projectid)
 {
 	$sqlquery = "SELECT TPG.productName,TP.projectName,TL.locationName, TC.clientName,TP.projectName, ";
	$sqlquery = $sqlquery . " TP.projectID,TPM.milestone,TPM.projectMilestoneID,TPM.completionDate"; 
	$sqlquery = $sqlquery . "	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)";
	$sqlquery = $sqlquery . "	INNER JOIN tbl_projectmilestones TPM ON (TPM.projectID=TP.projectID) "; 
	$sqlquery = $sqlquery . "	LEFT JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID) ";
	$sqlquery = $sqlquery . "	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID) ";
	$sqlquery = $sqlquery . "	LEFT JOIN tbllocation TL ON (TP.locationID = TL.locationID) ";
	$sqlquery = $sqlquery . "	WHERE TP.ProjectID = '".$projectid."'  AND TP.isNRGL <> 1 "; 	
	$sqlquery = $sqlquery . "	AND TP.currentProject=1 ORDER BY TC.clientName,TP.projectName";
	return $sqlquery;
 }	
 
 function ProjectMaxPercentageList($projectid)
 {
 	$today = date("Y-m-d");
 	$sqlquery = "SELECT TPG.productName,TP.projectName,TL.locationName, TC.clientName,TP.projectName, ";
	$sqlquery = $sqlquery . " TP.projectID,TPM.milestone,TPM.projectMilestoneID,TPM.expcompletionDate,TPM.reasonforDelay ";
	$sqlquery = $sqlquery . " ,Max(PC.perCompletion) as perCompletion "; 
	$sqlquery = $sqlquery . "	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)";
	$sqlquery = $sqlquery . "	INNER JOIN tbl_projectmilestones TPM ON (TPM.projectID=TP.projectID) "; 
	$sqlquery = $sqlquery . "	LEFT JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID) ";
	$sqlquery = $sqlquery . "	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID) ";
	$sqlquery = $sqlquery . "	LEFT JOIN tbllocation TL ON (TP.locationID = TL.locationID) ";
	$sqlquery = $sqlquery . "	INNER JOIN tbl_percompletion PC ON PC.projectMilestoneID = TPM.projectMilestoneID ";
	$sqlquery = $sqlquery . "	WHERE TP.ProjectID = '".$projectid."' and TPM.completionDate < '".$today."'  AND TP.isNRGL <> 1 "; 	
	$sqlquery = $sqlquery . "	AND TP.currentProject=1 GROUP BY PC.projectMilestoneID ORDER BY TC.clientName,TP.projectName";
	$result_query = mysql_query($sqlquery);
	while($row = mysql_fetch_assoc($result_query))
	{
		$percentage = $row["perCompletion"];
		$projectMilestoneID = $row["projectMilestoneID"];
		if($percentage == "100")
		{
			
		}
		else
		{
			$projectidmile = $projectMilestoneID.",".$projectidmile;
			
		}
	}
	$projectidmile = substr($projectidmile,0,-1);
	if(strlen($projectidmile) !="")
	{
		$sql = "SELECT TPG.productName,TP.projectName,TL.locationName, TC.clientName,TP.projectName, ";
		$sql = $sql . " TP.projectID,TPM.milestone,TPM.projectMilestoneID,TPM.expcompletionDate,TPM.reasonforDelay ";
		$sql = $sql . " ,Max(PC.perCompletion) as perCompletion "; 
		$sql = $sql . "	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)";
		$sql = $sql . "	INNER JOIN tbl_projectmilestones TPM ON (TPM.projectID=TP.projectID) "; 
		$sql = $sql . "	LEFT JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID) ";
		$sql = $sql . "	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID) ";
		$sql = $sql . "	LEFT JOIN tbllocation TL ON (TP.locationID = TL.locationID) ";
		$sql = $sql . "	INNER JOIN tbl_percompletion PC ON PC.projectMilestoneID = TPM.projectMilestoneID ";
		$sql = $sql . "	WHERE TP.ProjectID = '".$projectid."' and PC.projectMilestoneID IN (".$projectidmile.") ";  
		$sql = $sql . "   AND TP.isNRGL <> 1 "; 	
		$sql = $sql . "	AND TP.currentProject=1 GROUP BY PC.projectMilestoneID ORDER BY TC.clientName,TP.projectName";
		return $sql;
	}
	else
	{
		$sql = "SELECT * FROM tblnccontracts WHERE ncContractID = 0 ";
		return $sql;
	}
	
 }	
  function ProjectMilestoneList($projectMilestoneID)
 {
 			$sqlmilestone ="SELECT (SELECT CONCAT(Max(perCompletion),'%') FROM tbl_percompletion WHERE ";
			$sqlmilestone = $sqlmilestone . " projectMilestoneID = PM.projectMilestoneID) as perCompletion ";
			$sqlmilestone = $sqlmilestone . " ,DATE_FORMAT(startDate,'%d %b %Y') as startDate ";
			$sqlmilestone = $sqlmilestone . " ,DATE_FORMAT(completionDate,'%d %b %Y') as completionDate ";
			$sqlmilestone = $sqlmilestone . " FROM tbl_projectmilestones PM WHERE "; 
			$sqlmilestone = $sqlmilestone . " PM.projectMilestoneID= '".$projectMilestoneID."' ";
	
	return $sqlmilestone;
 }	
 
 
function getQuery($cmbproductGrp,$cmbLocation,$cmbClient1,$cmbProject1)
{
if($cmbproductGrp == "0" and $cmbLocation =="0" and $cmbClient1 =="0" and $cmbProject1 =="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName 
			 FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
			 LEFT JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
			 INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
			 LEFT JOIN tbllocation TL ON (TP.locationID = TL.locationID) 
			 WHERE TP.currentProject=1 AND TP.isNRGL <> 1 AND TP.ncContractID <> 0   
			 ORDER BY TPG.productName,TL.locationName,TC.clientName,TP.projectName";
	}
 else if($cmbproductGrp == "0" and $cmbLocation =="0" and $cmbClient1 !="0" and $cmbProject1 !="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName  
	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.clientID = '".$cmbClient1."' AND TP.ProjectID = '".$cmbProject1."' 
	AND TP.currentProject=1 AND TP.isNRGL <> 1 AND TP.ncContractID <> 0 
	ORDER BY TPG.productName,TL.locationName,TC.clientName,TP.projectName ";
	}
	else if($cmbproductGrp == "0" and $cmbLocation !="0" and $cmbClient1 =="0" and $cmbProject1 =="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName    
	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.locationID = '".$cmbLocation."' AND TP.currentProject=1 
	AND TP.isNRGL <> 1 AND TP.ncContractID <> 0 ORDER BY 
	TPG.productName,TL.locationName,TC.clientName,TP.projectName";
	}
	else if($cmbproductGrp == "0" and $cmbLocation !="0" and $cmbClient1 !="0" and $cmbProject1 !="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName   
	 FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.locationID = '".$cmbLocation."' AND TP.clientID = '".$cmbClient1."' 
	AND TP.ProjectID = '".$cmbProject1."' AND TP.currentProject=1 AND 
	TP.isNRGL <> 1 AND TP.ncContractID <> 0 ORDER BY TPG.productName,TL.locationName,TC.clientName,TP.projectName ";
	}
	else if($cmbproductGrp != "0" and $cmbLocation =="0" and $cmbClient1 =="0" and $cmbProject1 =="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName   
	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.productGroupID = '".$cmbproductGrp."' AND TP.currentProject=1 
	AND TP.isNRGL <> 1 AND TP.ncContractID <> 0 ORDER BY TPG.productName,TL.locationName,TC.clientName,TP.projectName";
	}
	else if($cmbproductGrp != "0" and $cmbLocation =="0" and $cmbClient1 !="0" and $cmbProject1 !="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName    
	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.productGroupID = '".$cmbproductGrp."' AND TP.clientID = '".$cmbClient1."' 
	AND TP.ProjectID = '".$cmbProject1."'  AND TP.currentProject=1 AND TP.isNRGL <> 1 
	AND TP.ncContractID <> 0 ORDER BY TPG.productName,TL.locationName,TC.clientName,TP.projectName ";
	}
	else if($cmbproductGrp != "0" and $cmbLocation !="0" and $cmbClient1 =="0" and $cmbProject1 =="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName  
	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.productGroupID = '".$cmbproductGrp."' AND TP.locationID = '".$cmbLocation."' 
	AND TP.currentProject=1 AND TP.isNRGL <> 1 AND TP.ncContractID <> 0
	ORDER BY   TPG.productName,TL.locationName,TC.clientName,TP.projectName";
	}
	else if($cmbproductGrp != "0" and $cmbLocation !="0" and $cmbClient1 !="0" and $cmbProject1 !="0")
	{
	$query = "SELECT TP.ProjectID,TNC.contractAmt,TPG.productName,TP.projectName, TL.locationName,TC.clientName   
	FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID)
	INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)
	INNER JOIN tblclient TC ON (TP.clientID = TC.clientID)
	INNER JOIN tbllocation TL ON (TP.locationID = TL.locationID)
	WHERE TP.productGroupID = '".$cmbproductGrp."' AND TP.locationID = '".$cmbLocation."' 
	AND TP.clientID = '".$cmbClient1."' AND TP.ProjectID = '".$cmbProject1."' AND 
	TP.currentProject=1 AND TP.isNRGL <> 1 AND TP.ncContractID <> 0 
	ORDER BY TPG.  	productName,TL.locationName,TC.clientName,TP.projectName ";
	}
	return($query);
	}
}

?>