<?php include "rptinc/ewcommon.php"; ?>
<?php include "rptinc/ewconfig.php"; ?>
<?php include "rptinc/phprptfn.php"; ?>
<?php include "rptinc/advsecu.php"; ?>
<?php

// PHP Report Maker 1.0 - Table level configuration ( Quarter wise Report)
// Table Level Constants

define("EW_TABLE_VAR", "x_Quarter_wise_Report", TRUE);
define("EW_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_TABLE_SESSION_GROUP_PER_PAGE", "x_Quarter_wise_Report_grpperpage", TRUE);
define("EW_TABLE_START_GROUP", "start", TRUE);
define("EW_TABLE_SESSION_START_GROUP", "x_Quarter_wise_Report_start", TRUE);
define("EW_TABLE_SESSION_SEARCH", "x_Quarter_wise_Report_search", TRUE);
define("EW_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_TABLE_SESSION_CHILD_USER_ID", "x_Quarter_wise_Report_childuserid", TRUE);

// Table Level SQL
define("EW_TABLE_REPORT_SUMMARY_TYPE", "SUM", TRUE);
define("EW_TABLE_REPORT_COLUMN_CAPTIONS", "1st Quarter,2nd Quarter,3rd Quarter,4th Quarter", TRUE);
define("EW_TABLE_REPORT_COLUMN_NAMES", "Qtr1,Qtr2,Qtr3,Qtr4", TRUE);
define("EW_TABLE_SQL_TRANSFORM", "", TRUE);
define("EW_TABLE_SQL_FROM", "tblusers INNER JOIN tbltimesheet ON (tblusers.userID = tbltimesheet.userID) INNER JOIN tblclient ON (tbltimesheet.clientID = tblclient.clientID) INNER JOIN tblprojects ON (tbltimesheet.projectID = tblprojects.projectID)", TRUE);
$EW_TABLE_SQL_SELECT = "SELECT tblclient.clientName, tblprojects.projectName, Year(`date`) As Year__date, SUM(tbltimesheet.hours*IF(QUARTER(`date`)=1,1,0)) As `Qtr1`, SUM(tbltimesheet.hours*IF(QUARTER(`date`)=2,1,0)) As `Qtr2`, SUM(tbltimesheet.hours*IF(QUARTER(`date`)=3,1,0)) As `Qtr3`, SUM(tbltimesheet.hours*IF(QUARTER(`date`)=4,1,0)) As `Qtr4` FROM " . EW_TABLE_SQL_FROM;
$EW_TABLE_SQL_WHERE = "(tbltimesheet.`date` >= 2007 -10 -01)";
define("EW_TABLE_SQL_GROUPBY", "tblclient.clientName, tblprojects.projectName, Year(`date`)", TRUE);
define("EW_TABLE_SQL_HAVING", "", TRUE);
define("EW_TABLE_SQL_ORDERBY", "tblclient.clientName ASC, tblprojects.projectName ASC, Year(`date`)", TRUE);
define("EW_TABLE_SQL_PIVOT", "", TRUE);
define("EW_TABLE_SQL_USERID_FILTER", "", TRUE);
$af_leave = NULL; // Advanced filter for leave
$af_clientName = NULL; // Advanced filter for clientName
$af_projectName = NULL; // Advanced filter for projectName
$af_fullName = NULL; // Advanced filter for fullName
$af_hours = NULL; // Advanced filter for hours
$af_date = NULL; // Advanced filter for date
?>
<?php
$EW_FIELD_CLIENTNAME_SQL_SELECT = "SELECT DISTINCT tblclient.clientName FROM " . EW_TABLE_SQL_FROM;
define("EW_FIELD_CLIENTNAME_SQL_ORDERBY", "tblclient.clientName", TRUE);
$EW_FIELD_PROJECTNAME_SQL_SELECT = "SELECT DISTINCT tblprojects.projectName FROM " . EW_TABLE_SQL_FROM;
define("EW_FIELD_PROJECTNAME_SQL_ORDERBY", "tblprojects.projectName", TRUE);
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record Count
$nStartGrp = 0; // Start Group
$nStopGrp = 0; // Stop Group
$nTotalGrps = 0; // Total Groups
$nGrpCount = 0; // Group Count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Static group variables
$x_clientName = NULL;
$ox_clientName = NULL;
$tx_clientName = NULL;
$gx_clientName = NULL;
$ftx_clientName = 200;
$rf_clientName = NULL;
$rt_clientName = NULL;
$x_projectName = NULL;
$ox_projectName = NULL;
$tx_projectName = NULL;
$gx_projectName = NULL;
$ftx_projectName = 200;
$rf_projectName = NULL;
$rt_projectName = NULL;
$x_Year__date = NULL;
$ox_Year__date = NULL;
$tx_Year__date = NULL;
$gx_Year__date = NULL;
$ftx_Year__date = 3;
$rf_Year__date = NULL;
$rt_Year__date = NULL;

// Column variables
$ftx_date = 133;
$rf_date = NULL;
$rt_date = NULL;
?>
<?php

// Chart configuration parameters
$Chart1_cht_parms = NULL; // Store all chart parameters

// Chart data
$Chart1_cht_index = NULL;
$Chart1_cht_id = NULL;
$Chart1_cht_smry = NULL;
$Chart1_cht_XFld = NULL;
$Chart1_cht_YFld = NULL;
$Chart1_cht_YFldBase = NULL;
$Chart1_cht_XFld = "clientName";
$Chart1_cht_YFld = "hours";
$Chart1_cht_YFldBase = 3;
$Chart1_cht_XDateFld = "";
?>
<?php

// Open connection to the database
$conn = php_connect(HOST, USER, PASS, DB, PORT);

// Filter
$sFilter = "";
$bFilterApplied = FALSE;

// Reset
ResetCmd();

// Set up groups per page dynamically
SetUpDisplayGrps();

// Popup selected values
$sel_clientName = "";
$sel_projectName = "";

// Setup selection
SetupSelection();

// Load columns to array
GetColumns();

// Default Filter, Sort
$defaultFilter = ""; // Default filter string
$defaultSort = ""; // default sort string
if ($defaultFilter <> "") {
	if ($sFilter <> "") $sFilter .= " AND ";
	$sFilter .= $defaultFilter;
}

// Build sql
$sSql = ew_BuildReportSql(EW_TABLE_SQL_TRANSFORM, $EW_TABLE_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, "", EW_TABLE_SQL_ORDERBY, EW_TABLE_SQL_PIVOT, $sFilter, @$sSort);

// Load recordset
$rs = ew_LoadRs($sSql);
$rscnt = count($rs);
$row = FALSE;
$rsidx = 0;

// Set up total group count and distinct values
$val_clientName = NULL;
$val_projectName = NULL;
InitReportData($rs);
if ($nDisplayGrps <= 0) { // Display All Records
	$nDisplayGrps = $nTotalGrps;
}
$nStartGrp = 1;
SetUpStartGroup(); // Set Up Start Group Position
?>
<?php include "rptinc/header.php"; ?>
<script language="JavaScript" src="rptjs/x/x_core.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/x/x_event.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/x/x_drag.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/popup.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/ewrptpop.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/swfobject.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">
<!--
var EW_POPUP_ALL = "(All)";
var EW_POPUP_OK = "  OK  ";
var EW_POPUP_CANCEL = "Cancel";
var EW_POPUP_FROM = "From";
var EW_POPUP_TO = "To";
var EW_POPUP_PLEASE_SELECT = "Please Select";
var EW_POPUP_NO_VALUE = "No value selected!";
var EW_POPUP_CLASSNAME = "phpreportmaker";

// popup fields
<?php $jsdata = ew_GetJsData("x_Quarter_wise_ReportclientName", $val_clientName, $ftx_clientName); ?>
ew_CreatePopup("x_Quarter_wise_ReportclientName", [<?php echo $jsdata; ?>]);
<?php $jsdata = ew_GetJsData("x_Quarter_wise_ReportprojectName", $val_projectName, $ftx_projectName); ?>
ew_CreatePopup("x_Quarter_wise_ReportprojectName", [<?php echo $jsdata; ?>]);

//-->
</script>
<div id="x_Quarter_wise_ReportclientName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="x_Quarter_wise_ReportprojectName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<!-- Table container (begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top container (begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
Crosstab 2
<?php if ($bFilterApplied) { ?>
&nbsp;&nbsp;<a href="x_Quarter_wise_Reportctb.php?cmd=reset">Reset All Filters</a>
<?php } ?>
<br><br>
</div></td></tr>
<!-- Top container (end) -->
<tr>
	<!-- Left container (begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- left slot -->
	</div></td>
	<!-- Left container (end) -->
	<!-- Center container (report) (begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<!-- crosstab report starts -->
<div id="report_crosstab">
<!-- Report grid (begin) -->
<table id="ewReport" class="ewTable">
	<!-- Table header -->
	<tr class="ewTableRow">
		<td colspan="3" nowrap><div class="phpreportmaker">hours (SUM)&nbsp;</div></td>
		<td class="ewRptColHeader" colspan="<?php echo @$ncolspan; ?>" nowrap>
			date
		</td>
	</tr>
	<tr>
		<td class="ewRptGrpHeader1">
			client Name
			<a href="#" onClick="ew_ShowPopup(this.name, 'x_Quarter_wise_ReportclientName', false, '<?php echo $rf_clientName; ?>', '<?php echo $rt_clientName; ?>');return false;" name="x_clientName" id="x_clientName"><img src="rptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
		</td>
		<td class="ewRptGrpHeader2">
			project Name
			<a href="#" onClick="ew_ShowPopup(this.name, 'x_Quarter_wise_ReportprojectName', false, '<?php echo $rf_projectName; ?>', '<?php echo $rt_projectName; ?>');return false;" name="x_projectName" id="x_projectName"><img src="rptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
		</td>
		<td class="ewRptGrpHeader3">
			Year
		</td>
<!-- Dynamic columns begin -->
	<?php
	for ($iy = 1; $iy < count($val); $iy++) {
		if ($col[$iy][2]) {
			$x_date = $col[$iy][1];
	?>
		<td class="ewTableHeader" valign="top">
<?php echo $x_date ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
		<?php $x_date = "Total"; ?>
		<td class="ewTableHeader" valign="top">
<?php echo $x_date ?>
</td>
	</tr>
<?php
if ($nTotalGrps > 0) {

// Start group <= total number of groups
if (intval($nStartGrp) > intval($nTotalGrps)) {
	$nStartGrp = $nTotalGrps;
}

// Set the last group to display
$nStopGrp = $nStartGrp + $nDisplayGrps - 1;

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps)) {
	$nStopGrp = $nTotalGrps;
}

// navigate
$grpvalue = "";
$nRecCount = 0;

// Get first row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}
while ($row) {

	// Process groups
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1) {
			$sItemRowClass = " class=\"ewTableAltRow\"";
		}

		// Show group values
		$gx_clientName = $x_clientName;
		if ($x_clientName <> "" && $ox_clientName == $x_clientName && !ChkLvlBreak(1)) {
			$gx_clientName = "";
		} elseif ($x_clientName == NULL) {
			$gx_clientName = EW_NULL_LABEL;
		} elseif ($x_clientName == "") {
			$gx_clientName = EW_EMPTY_LABEL;
		}
		$gx_projectName = $x_projectName;
		if ($x_projectName <> "" && $ox_projectName == $x_projectName && !ChkLvlBreak(2)) {
			$gx_projectName = "";
		} elseif ($x_projectName == NULL) {
			$gx_projectName = EW_NULL_LABEL;
		} elseif ($x_projectName == "") {
			$gx_projectName = EW_EMPTY_LABEL;
		}
		$gx_Year__date = $x_Year__date;
		if ($x_Year__date <> "" && $ox_Year__date == $x_Year__date && !ChkLvlBreak(3)) {
			$gx_Year__date = "";
		} elseif ($x_Year__date == NULL) {
			$gx_Year__date = EW_NULL_LABEL;
		} elseif ($x_Year__date == "") {
			$gx_Year__date = EW_EMPTY_LABEL;
		}
?>
	<!-- Data -->
	<tr<?php echo $sItemRowClass; ?>>
		<!-- client Name -->
		<td class="ewRptGrpField1"><?php $tx_clientName = $x_clientName; $x_clientName = $gx_clientName; ?>
<?php echo $x_clientName ?>
<?php $x_clientName = $tx_clientName; ?></td>
		<!-- project Name -->
		<td class="ewRptGrpField2"><?php $tx_projectName = $x_projectName; $x_projectName = $gx_projectName; ?>
<?php echo $x_projectName ?>
<?php $x_projectName = $tx_projectName; ?></td>
		<!-- Year -->
		<td class="ewRptGrpField3"><?php echo $gx_Year__date; ?></td>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy < count($val); $iy++) {
		if ($col[$iy][2]) {
			$rowval = $val[$iy];
			$rowsmry = ew_SummaryValue($rowsmry, $rowval, EW_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $val[$iy];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php echo $x_hours ?>
</td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Save old group values
	$ox_clientName = $x_clientName;
	$ox_projectName = $x_projectName;
	$ox_Year__date = $x_Year__date;

	// Get next record
	GetRow(2);
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
?>
<?php

		// Process summary level 1
		if (ChkLvlBreak(1)) {
?>
	<!-- Summary client Name (level 1) -->
	<tr>
		<?php $tx_clientName = $x_clientName; $x_clientName = $ox_clientName; ?>
		<td class="ewRptGrpSummary1" colspan="3">Summary for client Name: 
<?php echo $x_clientName ?>
</td>
		<?php $x_clientName = $tx_clientName; ?>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][1];
			$rowsmry = ew_SummaryValue($rowsmry, $rowval, EW_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][1];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td class="ewRptGrpSummary1">
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td class="ewRptGrpSummary1">
<?php echo $x_hours ?>
</td>
	</tr>
<?php

			// Reset level 1 summary
			ResetLevelSummary(1);
		}
?>
<?php
	}

	// Increment group count
	if (ChkLvlBreak(1)) $nGrpCount++;
}
?>
	<!-- Page Summary -->
	<tr class="ewRptPageSummary">
	<td colspan="3">Page Total</td>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][0];
			$rowsmry = ew_SummaryValue($rowsmry, $rowval, EW_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][0];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php echo $x_hours ?>
</td>
	</tr>
	<!-- Grand Total -->
	<tr class="ewRptGrandSummary">
	<td colspan="3">Grand Total</td>
<!-- Dynamic columns begin -->
	<?php 
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $grandsmry[$iy];
			$rowsmry = ew_SummaryValue($rowsmry, $rowval, EW_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $grandsmry[$iy];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php echo $x_hours ?>
</td>
	</tr>
<?php } ?>
</table>
<br>
<form action="x_Quarter_wise_Reportctb.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1) { $PrevStart = 1; }
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps) { $NextStart = $nStartGrp ; }
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
	?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="rptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="x_Quarter_wise_Reportctb.php?start=1"><img src="rptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="rptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="x_Quarter_wise_Reportctb.php?start=<?php echo $PrevStart; ?>"><img src="rptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="rptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="x_Quarter_wise_Reportctb.php?start=<?php echo $NextStart; ?>"><img src="rptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="rptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="x_Quarter_wise_Reportctb.php?start=<?php echo $LastStart; ?>"><img src="rptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php if ($nStartGrp > $nTotalGrps) { $nStartGrp = $nTotalGrps; }
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof) { $nGrpCount = $nTotalGrps; }
	if ($nStopGrp > $nGrpCount) { $nStopGrp = $nGrpCount; } ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<span class="phpreportmaker"></span>	
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Groups Per Page&nbsp;
<select name="<?php echo EW_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
</div>
<!-- Crosstab report ends -->
	</div><br></td>
	<!-- Center container (report) (end) -->
	<!-- Right container (begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- right slot -->
	</div></td>
	<!-- Right container (end) -->
</tr>
<!-- Bottom container (begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewBottom" class="phpreportmaker">
	<!-- bottom slot -->
<a name="cht_Chart1"></a>
<div id="div_Chart1">
<?php

// Initialize chart data
$Chart1_cht_id = "x_Quarter_wise_Report_Chart1"; // Chart ID
$Chart1_cht_parms .= "type=1,"; // Chart type
$Chart1_cht_parms .= "bgcolor=#FCFCFC,"; // Background color
$Chart1_cht_parms .= "caption=" . ew_Encode("Time Sheet  Report") . ","; // Chart caption
$Chart1_cht_parms .= "borderleftcolor=#808080,"; // Border left color
$Chart1_cht_parms .= "bordertopcolor=#808080,"; // Border top color
$Chart1_cht_parms .= "borderbottomcolor=#808080,"; // Border bottom color
$Chart1_cht_parms .= "borderrightcolor=#808080,"; // Border right color
$Chart1_cht_parms .= "chartbgcolor=#EEEEEE,"; // Chart background color
$Chart1_cht_parms .= "chartbordercolor=#A9A9A9,"; // Chart border color
$Chart1_cht_parms .= "numgridlines=3,"; // Number of grid lines
$Chart1_cht_parms .= "gridlinecolor=#DCDCDC,"; // Grid line color
$Chart1_cht_parms .= "xaxisname=" . ew_Encode("Client Name") . ","; // X axis name
$Chart1_cht_parms .= "xaxisnamerotated=0,"; // X axis name rotated
$Chart1_cht_parms .= "xaxisvaluemaxchar=80,"; // X axis value max char
$Chart1_cht_parms .= "xaxisvaluerotation=30,"; // X axis value rotation
$Chart1_cht_parms .= "yaxisname=" . ew_Encode("Hours") . ","; // Y axis name
$Chart1_cht_parms .= "yaxisnamerotated=1,"; // Y axis name rotated
$Chart1_cht_parms .= "shownames=0,"; // Show names
$Chart1_cht_parms .= "showvalues=0,"; // Show values
$Chart1_cht_parms .= "showhover=1,"; // Show hover
$Chart1_cht_parms .= "alpha=50,"; // Chart alpha
$Chart1_cht_parms .= "colorpalette=#FF0000|#FF0080|#FF00FF|#8000FF|#FF8000|#FF3D3D|#7AFFFF|#0000FF|#FFFF00|#FF7A7A|#3DFFFF|#0080FF|#80FF00|#00FF00|#00FF80|#00FFFF,"; // Chart color palette
$Chart1_cht_parms .= "cssurl=rptcss/ewchart.css"; // Chart css
ew_SortChartData($Chart1_cht_smry, 0);
echo ew_ShowChart($Chart1_cht_id, $Chart1_cht_parms, $Chart1_cht_smry, 550, 440, "");
?>
</div>
<a href="#top">Top</a>
<br><br>
	</div><br></td></tr>
<!-- Bottom container (end) -->
</table>
<!-- Table container (end) -->
<?php

// Close recordset and connection
php_free_result($rs);
php_close($conn);
?>
<?php include "rptinc/footer.php"; ?>
<?php

// Get column values
function GetColumns() {
	global $EW_TABLE_SQL_SELECT, $EW_TABLE_DISTINCT_SQL_SELECT;
	global $EW_TABLE_DISTINCT_SQL_WHERE, $EW_TABLE_DISTINCT_SQL_ORDERBY;
	global $sFilter, $sSort;
	global $sel_date;	
	global $row, $ncol, $col, $val, $oval, $cnt, $smry, $grandsmry;
	global $ncolspan;
	$arColumnCaptions = explode(",", EW_TABLE_REPORT_COLUMN_CAPTIONS);
	$arColumnNames = explode(",", EW_TABLE_REPORT_COLUMN_NAMES);

	// Get distinct column count
	$ncol = count($arColumnNames);

	// 1st dimension = no of groups (level 0 used for grand total)
	// 2nd dimension = no of distinct values

	$nGrps = 3;
	$col = ew_Init2DArray($ncol+1, 2, NULL);
	$val = ew_InitArray($ncol+1, NULL);
	$oval = ew_InitArray($ncol+1, NULL);
	$cnt = ew_Init2DArray($ncol+1, $nGrps+1, NULL);
	$smry = ew_Init2DArray($ncol+1, $nGrps+1, NULL);
	$grandsmry = ew_InitArray($ncol+1, NULL);

	// Reset summary values
	ResetLevelSummary(0);
	$colcnt = 0;
	for ($colcnt = 1; $colcnt <= $ncol; $colcnt++) {
		$col[$colcnt][0] = $arColumnNames[$colcnt-1]; // value
		$col[$colcnt][1] = $arColumnCaptions[$colcnt-1];// caption
		$col[$colcnt][2] = TRUE; // column visible
	}

	// Get active columns
	if (!is_array($sel_date)) {
		$ncolspan = $ncol;
	} else {
		$ncolspan = 0;
		for ($i = 0; $i < count($col); $i++) {
			$bSelected = FALSE;
			for ($j = 0; $j < count($sel_date); $j++) {
				if (trim($sel_date[$j]) == trim($col[$i][0])) {
					$ncolspan++;
					$bSelected = TRUE;
					break;
				}
			}
			$col[$i][2] = $bSelected;
			if (!$bSelected) $bFilterApplied = TRUE;
		}
	}
	$ncolspan++; // Add summary column
}

// Get row values
function GetRow($opt) {
	global $rs, $rsidx, $row, $val, $ncol, $rscnt;
	if ($rscnt == 0) return;
	if ($opt == 1) { // Get first row
		$row = $rs[0];
	} else { // Get next row
		$rsidx++;
		$row = ($rsidx < $rscnt) ? $rs[$rsidx] : FALSE;
	}
	while ($row) {
		if (ValidRow($row)) {
			$GLOBALS["x_clientName"] = $row["clientName"];
			$GLOBALS["x_projectName"] = $row["projectName"];
			$GLOBALS["x_Year__date"] = $row["Year__date"];
			for ($ix = 1; $ix <= $ncol; $ix++) {
				$val[$ix] = $row[$ix+3-1];
			}
			break;
		} else {
			$rsidx++;
			$row = ($rsidx < $rscnt) ? $rs[$rsidx] : FALSE;
		}
	}
	if (!$row) {
		$GLOBALS["x_clientName"] = "";
		$GLOBALS["x_projectName"] = "";
		$GLOBALS["x_Year__date"] = "";
	}
}

// Check level break
function ChkLvlBreak($lvl) {
	switch ($lvl) {
		case 1:
			return ($GLOBALS["x_clientName"] == NULL && $GLOBALS["ox_clientName"] != NULL) ||
			($GLOBALS["x_clientName"] != NULL && $GLOBALS["ox_clientName"] == NULL) ||
			($GLOBALS["x_clientName"] <> $GLOBALS["ox_clientName"]);
		case 2:
			return ($GLOBALS["x_projectName"] == NULL && $GLOBALS["ox_projectName"] != NULL) ||
			($GLOBALS["x_projectName"] != NULL && $GLOBALS["ox_projectName"] == NULL) ||
			($GLOBALS["x_projectName"] <> $GLOBALS["ox_projectName"]) || ChkLvlBreak(1); // Recurse upper level
		case 3:
			return ($GLOBALS["x_Year__date"] == NULL && $GLOBALS["ox_Year__date"] != NULL) ||
			($GLOBALS["x_Year__date"] != NULL && $GLOBALS["ox_Year__date"] == NULL) ||
			($GLOBALS["x_Year__date"] <> $GLOBALS["ox_Year__date"]) || ChkLvlBreak(2); // Recurse upper level
	}
}

// Accummulate summary
function AccumulateSummary() {
	global $val, $cnt, $smry;
	for ($ix = 1; $ix < count($smry); $ix++) {
		for ($iy = 0; $iy < count($smry[$ix]); $iy++) {
			$valwrk = $val[$ix];
			$cnt[$ix][$iy]++;
			$smry[$ix][$iy] = ew_SummaryValue($smry[$ix][$iy], $valwrk, EW_TABLE_REPORT_SUMMARY_TYPE);
		}
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {

	// Clear summary values
	global $nRecCount, $cnt, $smry, $grandsmry;
	for ($ix = 1; $ix < count($smry); $ix++) {
		for ($iy = $lvl; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			$smry[$ix][$iy] = 0;
		}
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry); $iy++)
			$grandsmry[$iy] = 0;
	}

	// Reset record count
	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $val, $grandsmry;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		$valwrk = $val[$iy];
		$grandsmry[$iy] = ew_SummaryValue($grandsmry[$iy], $valwrk, EW_TABLE_REPORT_SUMMARY_TYPE);
	}
}

//-------------------------------------------------------------------------------
// Function SetUpStartGroup
// - Set up Starting Record parameters based on Pager Navigation
// - Variables setup: nStartGrp

function SetUpStartGroup() {
	global $PHP_GET, $PHP_SESSION;
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Check for a START parameter
	if (@$PHP_GET[EW_TABLE_START_GROUP] != "") {
		$nStartGrp = $PHP_GET[EW_TABLE_START_GROUP];
		$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$PHP_GET["pageno"] != "") {
		$nPageNo = $PHP_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$PHP_SESSION[EW_TABLE_SESSION_START_GROUP];
			if (!is_numeric($nStartGrp) || $nStartGrp == "") {
				$nStartGrp = 1; // Reset start record counter
				$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
			}
		}
	} else {
		$nStartGrp = @$PHP_SESSION[EW_TABLE_SESSION_START_GROUP];
		if (!is_numeric($nStartGrp) || $nStartGrp == "") {
			$nStartGrp = 1; // Reset start record counter
			$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
		}
	}
}

//-------------------------------------------------------------------------------
// Function ResetCmd
// - RESET: reset search parameters

function ResetCmd() {
	global $PHP_GET, $PHP_POST, $PHP_SESSION;

	// Skip if post back
	if (count($PHP_POST) > 0) return;

	// Get Reset Cmd
	if (@$PHP_GET["cmd"] != "") {
		$sCmd = $PHP_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			$PHP_SESSION["all_x_Quarter_wise_ReportclientName"] = TRUE;
			$PHP_SESSION["sel_x_Quarter_wise_ReportclientName"] = "";
			$PHP_SESSION["rf_x_Quarter_wise_ReportclientName"] = "";
			$PHP_SESSION["rt_x_Quarter_wise_ReportclientName"] = "";
			$PHP_SESSION["all_x_Quarter_wise_ReportprojectName"] = TRUE;
			$PHP_SESSION["sel_x_Quarter_wise_ReportprojectName"] = "";
			$PHP_SESSION["rf_x_Quarter_wise_ReportprojectName"] = "";
			$PHP_SESSION["rt_x_Quarter_wise_ReportprojectName"] = "";
			ResetPager();
		}
	}
}
function ResetPager() {
	global $PHP_SESSION, $nStartGrp;

	// Reset Start Position (Reset Command)
	$nStartGrp = 1;
	$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Set up selection
function SetupSelection() {
	global $PHP_POST, $PHP_SESSION, $PHP_GET;

	// Process post back form
	$sName = @$PHP_POST["popup"]; // Get popup form name
	$sName = (get_magic_quotes_gpc()) ? stripslashes($sName) : $sName;
	if ($sName <> "") {
		$arValues = @$PHP_POST["sel_" . $sName];
		if (is_array($arValues)) {
			if (get_magic_quotes_gpc()) array_walk($arValues, 'ew_StripSlashes');
			if (trim($arValues[0]) == "") { // select all
				@$PHP_POST["all_" . $sName] = TRUE;
				array_shift($arValues); // remove first entry
			} else {
				$PHP_SESSION["all_" . $sName] = FALSE;
			}
			$PHP_SESSION["sel_" . $sName] = $arValues;
			$PHP_SESSION["rf_" . $sName] = (get_magic_quotes_gpc()) ? stripslashes(@$PHP_POST["from_" . $sName]) : @$PHP_POST["from_" . $sName];
			$PHP_SESSION["rt_" . $sName] = (get_magic_quotes_gpc()) ? stripslashes(@$PHP_POST["to_" . $sName]) : @$PHP_POST["to_" . $sName];
			ResetPager();
		}
	}

	// Load selection criteria to array
	// Get client Name selected values

	$bSelectedAll = ew_IsSelectedAll("x_Quarter_wise_ReportclientName");
	if (!$bSelectedAll) {
		$GLOBALS["sel_clientName"] = @$PHP_SESSION["sel_x_Quarter_wise_ReportclientName"];
		$GLOBALS["rf_clientName"] = @$PHP_SESSION["rf_x_Quarter_wise_ReportclientName"];
		$GLOBALS["rt_clientName"] = @$PHP_SESSION["rt_x_Quarter_wise_ReportclientName"];
	}

	// Get project Name selected values
	$bSelectedAll = ew_IsSelectedAll("x_Quarter_wise_ReportprojectName");
	if (!$bSelectedAll) {
		$GLOBALS["sel_projectName"] = @$PHP_SESSION["sel_x_Quarter_wise_ReportprojectName"];
		$GLOBALS["rf_projectName"] = @$PHP_SESSION["rf_x_Quarter_wise_ReportprojectName"];
		$GLOBALS["rt_projectName"] = @$PHP_SESSION["rt_x_Quarter_wise_ReportprojectName"];
	}
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $conn, $nTotalGrps, $bFilterApplied, $sFilter, $EW_TABLE_SQL_WHERE;

	// Build distinct values for client Name
	global $x_clientName, $EW_FIELD_CLIENTNAME_SQL_SELECT;
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ew_BuildReportSql("", $EW_FIELD_CLIENTNAME_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, EW_TABLE_SQL_HAVING, EW_FIELD_CLIENTNAME_SQL_ORDERBY, "", $sFilter, "");
	$rswrk = php_query($sSql, $conn) or die("" . __LINE__ . ": " . php_error($conn) . '<br>SQL: ' . $sSql);
	while ($row = php_fetch_array($rswrk)) {
		$GLOBALS["x_clientName"] = $row[0];
		if ($GLOBALS["x_clientName"] == NULL) {
			$bNullValue = TRUE;
		} elseif ($GLOBALS["x_clientName"] == "") {
			$bEmptyValue = TRUE;
		} else {
			$GLOBALS["gx_clientName"] = $x_clientName;
			ew_SetupDistinctValues($GLOBALS["val_clientName"], $GLOBALS["x_clientName"], $GLOBALS["gx_clientName"], FALSE);
		}
	}
	php_free_result($rswrk);
	if ($bEmptyValue) ew_SetupDistinctValues($GLOBALS["val_clientName"], "##empty", EW_EMPTY_LABEL, FALSE);
	if ($bNullValue) ew_SetupDistinctValues($GLOBALS["val_clientName"], "##null", EW_NULL_LABEL, FALSE);

	// Build distinct values for project Name
	global $x_projectName, $EW_FIELD_PROJECTNAME_SQL_SELECT;
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ew_BuildReportSql("", $EW_FIELD_PROJECTNAME_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, EW_TABLE_SQL_HAVING, EW_FIELD_PROJECTNAME_SQL_ORDERBY, "", $sFilter, "");
	$rswrk = php_query($sSql, $conn) or die("" . __LINE__ . ": " . php_error($conn) . '<br>SQL: ' . $sSql);
	while ($row = php_fetch_array($rswrk)) {
		$GLOBALS["x_projectName"] = $row[0];
		if ($GLOBALS["x_projectName"] == NULL) {
			$bNullValue = TRUE;
		} elseif ($GLOBALS["x_projectName"] == "") {
			$bEmptyValue = TRUE;
		} else {
			$GLOBALS["gx_projectName"] = $x_projectName;
			ew_SetupDistinctValues($GLOBALS["val_projectName"], $GLOBALS["x_projectName"], $GLOBALS["gx_projectName"], FALSE);
		}
	}
	php_free_result($rswrk);
	if ($bEmptyValue) ew_SetupDistinctValues($GLOBALS["val_projectName"], "##empty", EW_EMPTY_LABEL, FALSE);
	if ($bNullValue) ew_SetupDistinctValues($GLOBALS["val_projectName"], "##null", EW_NULL_LABEL, FALSE);

	// Initialize group count
	$grpcnt = 0;
	$grpvalue = "";
	foreach ($rs as $row) {
		$bValidRow = ValidRow($row);
		if (!$bValidRow) $bFilterApplied = TRUE;
		if ($bValidRow) {
			$bNewGroup = ($grpcnt == 0) ||
				($grpvalue == NULL && $row[0] != NULL) ||
				($grpvalue != NULL && $row[0] == NULL) ||
				($grpvalue <> $row[0]);
			if ($bNewGroup) {
				$grpvalue = $row[0];
				$grpcnt++;
			}
		}

		// Accumulate chart data
		if ($bValidRow) ProcessChartData($row);
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow($row) {
	$ValidRow = TRUE;
	if ($ValidRow) $ValidRow = ew_SelectedValue($GLOBALS["sel_clientName"], $row["clientName"], $GLOBALS["ftx_clientName"], @$GLOBALS["af_clientName"]);
	if ($ValidRow) $ValidRow = ew_SelectedValue($GLOBALS["sel_projectName"], $row["projectName"], $GLOBALS["ftx_projectName"], @$GLOBALS["af_projectName"]);
	if ($ValidRow) $ValidRow = HasColumnValues($row); // Rows with values
	return $ValidRow;
}

// Check if any column values is present
function HasColumnValues($row) {
	global $col;
	for ($i = 1; $i < count($col); $i++) {
		if ($col[$i][2]) {
			if ($row[3+$i-1] <> 0) return TRUE;
		}
	}
	return FALSE;
}
?>
<?php

// Process chart data
function ProcessChartData(&$rs) {
	AccumulateChartSummary($rs, $GLOBALS["Chart1_cht_smry"], $GLOBALS["Chart1_cht_XFld"], $GLOBALS["Chart1_cht_XDateFld"], $GLOBALS["Chart1_cht_YFld"], $GLOBALS["Chart1_cht_YFldBase"], $GLOBALS["col"], "SUM");
}
?>
<?php

//-------------------------------------------------------------------------------
// Function SetUpDisplayGrps
// - Set up Number of Groups displayed per page based on Form element GrpPerPage
// - Variables setup: nDisplayGrps

function SetUpDisplayGrps() {
	global $PHP_GET;
	global $PHP_SESSION;
	global $nDisplayGrps;
	global $nStartGrp;
	$sWrk = @$PHP_GET[EW_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // Display All Records
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, Load Default
			}
		}
		$PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to Session

		// Reset Start Position (Reset Command)
		$nStartGrp = 1;
		$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from Session
		} else {
			$nDisplayGrps = 3; // Load Default
		}
	}
}
?>
<?php

// Accummulate chart summary
function AccumulateChartSummary(&$rs, &$cht_smry, $xfld, $xdatefld, $yfld, $ybase, $col, $smrytype) {
	if (!is_array($cht_smry)) {
		AddChartEntry($rs, $cht_smry, $xfld, $xdatefld, $yfld, $ybase, $col, $smrytype);
	} else {
		if (!UpdateChartEntry($rs, $cht_smry, $xfld, $xdatefld, $yfld, $ybase, $col, $smrytype)) {
			AddChartEntry($rs, $cht_smry, $xfld, $xdatefld, $yfld, $ybase, $col, $smrytype);
		}
	}
}

// Add chart entry
function AddChartEntry(&$rs, &$cht_smry, $xfld, $xdatefld, $yfld, $ybase, $col, $smrytype) {
	switch ($smrytype) {
		case "SUM":
		case "COUNT":
			$initval = 0;
			break;
		case "MIN":
		case "MAX":
			$initval = NULL;
			break;
	}
	if (is_array($xfld)) { // X = crosstab column field
		if ($ybase > 0) {
			$ny = count($xfld) - 2;
			if ($xdatefld <> "") { // column field with date type q/m
				for ($i = $nbase; $i <= $ny; $i++) {
					$temp = array();
					$temp[0] = $rs[$xdatefld]; // x value = date field
					$temp[1] = $xfld[$i - $nbase + 1][0]; // date q/m value
					$valwrk = $rs[$ybase + $i];
					$temp[2] = $initval; // initialize Y
					if ($valwrk != NULL) $valwrk = (float)$valwrk;
					if ($xfld[$i + 1][2]) // column selected
						$temp[2] = ew_SummaryValue($temp[2], $valwrk, $smrytype); // accumulate Y
					$cht_smry[] = $temp;
				}
			} else { // column field without date type
				for ($i = 0; $i <= $ny; $i++) {
					$temp = array();
					$temp[0] = $xfld[$i + 1][0]; // x value
					$temp[1] = NULL;
					$temp[2] = $initval; // initialize Y
					$valwrk = $rs[$ybase + $i];
					if ($valwrk != NULL) $valwrk = (float)$valwrk;
					if ($xfld[$i + 1][2]) // column selected
						$temp[2] = ew_SummaryValue($temp[2], $valwrk, $smrytype); // accumulate Y
					$cht_smry[] = $temp;
				}
			}
		}
	} else {
		$temp = array();
		$temp[0] = $rs[$xfld]; // X value
		$temp[1] = NULL;
		$temp[2] = $initval; // initialize Y
		if ($ybase > 0 && is_array($col)) { // X = crosstab row field
			$ylen = count($col) - 1;
			if ($ylen > 0) {
				$temp[2] = 0;
				for ($i = 0; $i < $ylen; $i++) {
					if ($col[$i+1][2]) {
						$valwrk = $rs[$ybase + $i];
						if ($valwrk != NULL) $valwrk = (float)$valwrk;
						$temp[2] = ew_SummaryValue($temp[2], $valwrk, $smrytype); // accumulate Y
					}
				}
			}
		} elseif ($yfld <> "") { // List/Summary report
			$valwrk = $rs[$yfld];
			if ($valwrk != NULL) $valwrk = (float)$valwrk;
			$temp[2] = ew_SummaryValue($temp[2], $valwrk, $smrytype); // accumulate Y
		}
		$cht_smry[] = $temp;
	}
}

// Update Chart entry
function UpdateChartEntry(&$rs, &$cht_smry, $xfld, $xdatefld, $yfld, $ybase, $col, $smrytype) {
	if (is_array($xfld)) { // X = crosstab column field
		if ($ybase > 0) {
			$ny = count($xfld) - 1;
			if ($xdatefld <> "") { // Column field with date type q/m
				for ($i = 0; $i < count($cht_smry) - 2; $i += $ny) {
					if (trim($cht_smry[$i][0]) == trim($rs[$xdatefld])) {
						for ($j = $i; $j < $i+$ny; $j++) {
							if ($xfld[$j-$i+1][2]) { // column selected
								$valwrk = $rs[$ybase+$j-$i];
								if ($valwrk != NULL) $valwrk = (float)$valwrk;
								$cht_smry[$j][2] = ew_SummaryValue($cht_smry[$j][2], $valwrk, $smrytype); // accumulate Y
							}
						}
						return TRUE;
					}
				}
			} else {
				for ($i = 0; $i < $ny; $i++) {
					if ($xfld[$i+1][2]) { //column selected
						$valwrk = $rs[$ybase + $i];
						if ($valwrk != NULL) $valwrk = (float)$valwrk;
						$cht_smry[$i][2] = ew_SummaryValue($cht_smry[$i][2], $valwrk, $smrytype); // accumulate Y
					}
				}
				return TRUE;
			}
		}
	} else {
		for ($ny = 0; $ny < count($cht_smry); $ny++) {
			if (trim($cht_smry[$ny][0]) == trim($rs[$xfld])) {
				if ($ybase > 0 && is_array($col)) { // X = crosstab row field
					$ylen = count($col) - 1;
					if ($ylen > 0) {
						for ($i = 0; $i < $ylen; $i++) {
							if ($col[$i+1][2]) {
								$valwrk = $rs[$ybase+$i];
								if ($valwrk != NULL) $valwrk = (float)$valwrk;
								$cht_smry[$ny][2] = ew_SummaryValue($cht_smry[$ny][2], $valwrk, $smrytype); // accumulate Y
							}
						}
						return TRUE;
					}
				} else { // List/Summary report
					$valwrk = $rs[$yfld];
					if ($valwrk != NULL) $valwrk = (float)$valwrk;
					$cht_smry[$ny][2] = ew_SummaryValue($cht_smry[$ny][2], $valwrk, $smrytype); // accumulate Y
					return TRUE;
				}
			}
		}
	}
	return FALSE;
}
?>
