<?php
session_start();
ob_start();
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php include "phprptinc/ewrcfg2.php"; ?>
<?php include "phprptinc/ewmysql.php"; ?>
<?php include "phprptinc/ewrfn2.php"; ?>
<?php include "phprptinc/ewrsecu2.php"; ?>
<?php
include '../Config/Config.php';
// Table level constants
define("EW_REPORT_TABLE_VAR", "ContractsBillsReceivableReport", TRUE);
define("EW_REPORT_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE", "ContractsBillsReceivableReport_grpperpage", TRUE);
define("EW_REPORT_TABLE_START_GROUP", "start", TRUE);
define("EW_REPORT_TABLE_SESSION_START_GROUP", "ContractsBillsReceivableReport_start", TRUE);
define("EW_REPORT_TABLE_SESSION_SEARCH", "ContractsBillsReceivableReport_search", TRUE);
define("EW_REPORT_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_REPORT_TABLE_SESSION_CHILD_USER_ID", "ContractsBillsReceivableReport_childuserid", TRUE);
$SQL_Query="SELECT EXTRACT(MONTH FROM curdate()) as currentmonth,  EXTRACT(YEAR FROM (curdate())) AS CurrentYear,EXTRACT(YEAR FROM (date_add(curdate(), INTERVAL 1 YEAR))) as NextYear,EXTRACT(YEAR FROM (date_sub(curdate(), INTERVAL 1 YEAR))) as PrevYear,EXTRACT(YEAR_MONTH FROM curdate()) as yearmonth ";
  $result_month= mysql_query($SQL_Query);
  $row_month = mysql_fetch_assoc($result_month);
  $currentmonth = $row_month['currentmonth'];
  if ($currentmonth > 3)
  {
  $financialYear = $row_month['CurrentYear'].'-'.$row_month['NextYear'];
  $fromMonthYear = $row_month['CurrentYear'].'03';   
  }
  else
  {
  $financialYear = $row_month['PrevYear'].'-'.$row_month['CurrentYear'];
  $fromMonthYear = $row_month['PrevYear'].'03';   
  }
// Table level SQL
$EW_REPORT_TABLE_SQL_FROM = "tbllocation INNER JOIN tblprojects ON (tbllocation.locationID = tblprojects.locationID) INNER JOIN tblproductgrp ON (tblprojects.productGroupID = tblproductgrp.productID) INNER JOIN tblclient ON (tblprojects.clientID = tblclient.clientID) INNER JOIN tblnccontracts ON (tblprojects.ncContractID = tblnccontracts.ncContractID) INNER JOIN tblncmilestone ON (tblnccontracts.ncContractID = tblncmilestone.ncContractID) INNER JOIN tblncbilldetails ON (tblncmilestone.milestoneID = tblncbilldetails.milestoneID)";
$EW_REPORT_TABLE_SQL_SELECT = "SELECT tblprojects.projectName, tblproductgrp.productName, tbllocation.locationName, tblclient.clientName, tblncmilestone.milestone, tblncbilldetails.billDate, tblncbilldetails.receivedDate, tblncbilldetails.billNo, tblncbilldetails.chequeNo FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_TABLE_SQL_WHERE = "((tblprojects.currentProject = 1) AND (tblprojects.ncContractID <> 0) AND (tblprojects.isNRGL <> 1) AND (tblncbilldetails.receivedAmt <> 0) AND (tblnccontracts.contractAmt <> 0) AND (tblnccontracts.isActive <> 0) AND (tblncbilldetails.billDate = '0000-00-00') AND (tblncbilldetails.receivedAmt <> 0)) AND ((tblncbilldetails.receivedDate = '0000-00-00') AND (tblncbilldetails.receivedAmt <> 0)) AND ((tblncbilldetails.billDate > tblncbilldetails.receivedDate) AND (tblncbilldetails.receivedAmt <> 0))  AND  EXTRACT(YEAR_MONTH FROM tblncbilldetails.receivedDate ) BETWEEN '".$fromMonthYear."'  AND EXTRACT(YEAR_MONTH FROM curdate())";
$EW_REPORT_TABLE_SQL_GROUPBY = "";
$EW_REPORT_TABLE_SQL_HAVING = "";
$EW_REPORT_TABLE_SQL_ORDERBY = "tbllocation.locationName ASC, tblproductgrp.productName ASC, tblclient.clientName ASC, tblprojects.projectName ASC";
$EW_REPORT_TABLE_SQL_USERID_FILTER = "";
$af_projectName = NULL; // Popup filter for projectName
$af_productName = NULL; // Popup filter for productName
$af_locationName = NULL; // Popup filter for locationName
$af_clientName = NULL; // Popup filter for clientName
$af_milestone = NULL; // Popup filter for milestone
$af_billNo = NULL; // Popup filter for billNo
$af_billDate = NULL; // Popup filter for billDate
$af_chequeNo = NULL; // Popup filter for chequeNo
$af_receivedDate = NULL; // Popup filter for receivedDate
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record count
$nStartGrp = 0; // Start group
$nStopGrp = 0; // Stop group
$nTotalGrps = 0; // Total groups
$nGrpCount = 0; // Group count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Clear field for ext filter
$sClearExtFilter = "";

// Dropdown filters
// Extended filters
// Field receivedDate

$sv1_receivedDate = ""; $sv1d_receivedDate = "";
$sv2_receivedDate = ""; $sv2d_receivedDate = "";
$so1_receivedDate = ""; $so1d_receivedDate = "";
$so2_receivedDate = ""; $so2d_receivedDate = "";
$sc_receivedDate = ""; $scd_receivedDate = "";

// Custom filters
$ewrpt_CustomFilters = array();
?>
<?php
$EW_REPORT_FIELD_LOCATIONNAME_SQL_SELECT = "SELECT DISTINCT tbllocation.locationName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_LOCATIONNAME_SQL_ORDERBY = "tbllocation.locationName";
$EW_REPORT_FIELD_PRODUCTNAME_SQL_SELECT = "SELECT DISTINCT tblproductgrp.productName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_PRODUCTNAME_SQL_ORDERBY = "tblproductgrp.productName";
$EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT = "SELECT DISTINCT tblclient.clientName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY = "tblclient.clientName";
$EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT = "SELECT DISTINCT tblprojects.projectName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY = "tblprojects.projectName";
?>
<?php

// Field variables
$x_projectName = NULL;
$x_productName = NULL;
$x_locationName = NULL;
$x_clientName = NULL;
$x_milestone = NULL;
$x_billNo = NULL;
$x_billDate = NULL;
$x_chequeNo = NULL;
$x_receivedDate = NULL;

// Group variables
$o_locationName = NULL; $g_locationName = NULL; $dg_locationName = NULL; $t_locationName = NULL; $ft_locationName = 200; $gf_locationName = $ft_locationName; $gb_locationName = ""; $gi_locationName = "0"; $rf_locationName = NULL; $rt_locationName = NULL;
$o_productName = NULL; $g_productName = NULL; $dg_productName = NULL; $t_productName = NULL; $ft_productName = 200; $gf_productName = $ft_productName; $gb_productName = ""; $gi_productName = "0"; $rf_productName = NULL; $rt_productName = NULL;
$o_clientName = NULL; $g_clientName = NULL; $dg_clientName = NULL; $t_clientName = NULL; $ft_clientName = 200; $gf_clientName = $ft_clientName; $gb_clientName = ""; $gi_clientName = "0"; $rf_clientName = NULL; $rt_clientName = NULL;
$o_projectName = NULL; $g_projectName = NULL; $dg_projectName = NULL; $t_projectName = NULL; $ft_projectName = 200; $gf_projectName = $ft_projectName; $gb_projectName = ""; $gi_projectName = "0"; $rf_projectName = NULL; $rt_projectName = NULL;

// Detail variables
$o_milestone = NULL; $t_milestone = NULL; $ft_milestone = 200; $rf_milestone = NULL; $rt_milestone = NULL;
$o_billNo = NULL; $t_billNo = NULL; $ft_billNo = 200; $rf_billNo = NULL; $rt_billNo = NULL;
$o_billDate = NULL; $t_billDate = NULL; $ft_billDate = 133; $rf_billDate = NULL; $rt_billDate = NULL;
$o_chequeNo = NULL; $t_chequeNo = NULL; $ft_chequeNo = 200; $rf_chequeNo = NULL; $rt_chequeNo = NULL;
$o_receivedDate = NULL; $t_receivedDate = NULL; $ft_receivedDate = 133; $rf_receivedDate = NULL; $rt_receivedDate = NULL;
?>
<?php

// Open connection to the database
$conn = ewrpt_Connect();

// Filter
$sFilter = "";

// Aggregate variables
// 1st dimension = no of groups (level 0 used for grand total)
// 2nd dimension = no of fields

$nDtls = 6;
$nGrps = 5;
$val = ewrpt_InitArray($nDtls, 0);
$cnt = ewrpt_Init2DArray($nGrps, $nDtls, 0);
$smry = ewrpt_Init2DArray($nGrps, $nDtls, 0);
$mn = ewrpt_Init2DArray($nGrps, $nDtls, NULL);
$mx = ewrpt_Init2DArray($nGrps, $nDtls, NULL);
$grandsmry = ewrpt_InitArray($nDtls, 0);
$grandmn = ewrpt_InitArray($nDtls, NULL);
$grandmx = ewrpt_InitArray($nDtls, NULL);

// Set up if accumulation required
$col = array(FALSE, FALSE, FALSE, FALSE, FALSE, FALSE);

// Set up groups per page dynamically
SetUpDisplayGrps();

// Load default filter values
LoadDefaultFilters();

// Set up popup filter
SetupPopup();

// Extended filter
// Get dropdown values

GetExtendedFilterValues();

// Set up custom filters
SetupCustomFilters();

// Build extended filter
$sExtendedFilter = GetExtendedFilter();
if ($sExtendedFilter <> "") {
	if ($sFilter <> "")
  	$sExtendedFilter = "($sFilter) AND ($sExtendedFilter)";
} else {
	$sExtendedFilter = $sFilter;
}

// Check if filter applied
$bFilterApplied = CheckFilter();

// Build SQL
$sSql = ewrpt_BuildReportSql("", $EW_REPORT_TABLE_SQL_SELECT, $EW_REPORT_TABLE_SQL_WHERE, $EW_REPORT_TABLE_SQL_GROUPBY, $EW_REPORT_TABLE_SQL_HAVING, $EW_REPORT_TABLE_SQL_ORDERBY, "", $sExtendedFilter, @$sSort);

// echo $sSql . "<br />"; // Uncomment to show SQL
// Load recordset

$rs = $conn->Execute($sSql);
$rscnt = ($rs) ? $rs->RecordCount() : 0;

// Detail distinct and selection values
InitReportData($rs);
if ($nDisplayGrps <= 0) // Display all groups
	$nDisplayGrps = $nTotalGrps;
$nStartGrp = 1;

// Set up start position if not export all
if (!(EW_REPORT_EXPORT_ALL && @$sExport <> ""))
	SetUpStartGroup();
?>
<?php include "phprptinc/header.php"; ?>
<script type="text/javascript">
var ewrpt_DateSep = "/";
</script>
<script type="text/javascript" src="phprptjs/ewrpt.js"></script>
<script type="text/javascript">

function ewrpt_ValidateExtFilter(form_obj) {
var elm = form_obj.sv1_receivedDate;
if (elm && !ewrpt_CheckDate(elm.value)) {
	if (!ewrpt_OnError(elm, "Incorrect date, format = yyyy/mm/dd - Received Date"))
		return false;
}
var elm = form_obj.sv2_receivedDate;
if (elm && !ewrpt_CheckDate(elm.value)) {
	if (!ewrpt_OnError(elm, "Incorrect date, format = yyyy/mm/dd - Received Date"))
		return false;
}
	return true;
}
</script>
<link rel="stylesheet" type="text/css" media="all" href="jscalendar/calendar-win2k-1.css" title="win2k-1" />
<script type="text/javascript" src="jscalendar/calendar.js"></script>
<script type="text/javascript" src="jscalendar/lang/calendar-en.js"></script>
<script type="text/javascript" src="jscalendar/calendar-setup.js"></script>
<script src="phprptjs/x/x_core.js" type="text/javascript"></script>
<script src="phprptjs/x/x_event.js" type="text/javascript"></script>
<script src="phprptjs/x/x_drag.js" type="text/javascript"></script>
<script src="phprptjs/popup.js" type="text/javascript"></script>
<script src="phprptjs/ewrptpop.js" type="text/javascript"></script>
<script src="FusionChartsFree/JSClass/FusionCharts.js" type="text/javascript"></script>
<script type="text/javascript">
var EW_REPORT_POPUP_ALL = "(All)";
var EW_REPORT_POPUP_OK = "  OK  ";
var EW_REPORT_POPUP_CANCEL = "Cancel";
var EW_REPORT_POPUP_FROM = "From";
var EW_REPORT_POPUP_TO = "To";
var EW_REPORT_POPUP_PLEASE_SELECT = "Please Select";
var EW_REPORT_POPUP_NO_VALUE = "No value selected!";

// popup fields
<?php $jsdata = ewrpt_GetJsData($val_locationName, $sel_locationName, $ft_locationName) ?>
ewrpt_CreatePopup("ContractsBillsReceivableReport_locationName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_productName, $sel_productName, $ft_productName) ?>
ewrpt_CreatePopup("ContractsBillsReceivableReport_productName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_clientName, $sel_clientName, $ft_clientName) ?>
ewrpt_CreatePopup("ContractsBillsReceivableReport_clientName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_projectName, $sel_projectName, $ft_projectName) ?>
ewrpt_CreatePopup("ContractsBillsReceivableReport_projectName", [<?php echo $jsdata ?>]);
</script>
<div id="ContractsBillsReceivableReport_locationName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="ContractsBillsReceivableReport_productName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="ContractsBillsReceivableReport_clientName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="ContractsBillsReceivableReport_projectName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<!-- Table Container (Begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top Container (Begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
Contracts Bills Receivable Report
<?php if ($bFilterApplied) { ?>
&nbsp;&nbsp;<a href="ContractsBillsReceivableReportsmry.php?cmd=reset">Reset All Filters</a>
<?php } ?>
<br /><br />
</div></td></tr>
<!-- Top Container (End) -->
<tr>
	<!-- Left Container (Begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- Left slot -->
	</div></td>
	<!-- Left Container (End) -->
	<!-- Center Container - Report (Begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<!-- summary report starts -->
<div id="report_summary">
<?php
if (EW_REPORT_FILTER_PANEL_OPTION == 2 || (EW_REPORT_FILTER_PANEL_OPTION == 3 && $bFilterApplied) || $sExtendedFilter == "0=101") {
	$sButtonImage = "phprptimages/collapse.gif";
	$sDivDisplay = "";
} else {
	$sButtonImage = "phprptimages/expand.gif";
	$sDivDisplay = " style=\"display: none;\"";
}
?>
<a href="javascript:ewrpt_ToggleFilterPanel();" style="text-decoration: none;"><img id="ewrptToggleFilterImg" src="<?php echo $sButtonImage ?>" alt="" width="9" height="9" border="0"></a><span class="phpreportmaker">&nbsp;Filters</span><br /><br />
<div id="ewrptExtFilterPanel"<?php echo $sDivDisplay ?>>
<!-- Search form (begin) -->
<form name="fContractsBillsReceivableReportsummaryfilter" id="fContractsBillsReceivableReportsummaryfilter" action="ContractsBillsReceivableReportsmry.php" onSubmit="return ewrpt_ValidateExtFilter(this);">
<table class="ewRptExtFilter">
	<tr>
		<td><span class="phpreportmaker">Received Date</span></td>
		<td><span class="ewRptSearchOpr">between<input type="hidden" name="so1_receivedDate" id="so1_receivedDate" value="BETWEEN"></span></td>
		<td><span class="phpreportmaker">
<input type="text" name="sv1_receivedDate" id="sv1_receivedDate" value="<?php echo ewrpt_HtmlEncode($sv1_receivedDate) ?>"<?php echo ($sClearExtFilter == 'ContractsBillsReceivableReport_receivedDate') ? " class=\"ewInputCleared\"" : "" ?>>
<img src="phprptimages/calendar.png" id="csv1_receivedDate" alt="" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "sv1_receivedDate", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "csv1_receivedDate" // ID of the button
})
</script>
</span></td>
		<td></td>
		<td><span class="ewRptSearchOpr" name="_so2_receivedDate" id="_so2_receivedDate">and<input type="hidden" name="so2_receivedDate" id="so2_receivedDate" value="AND"></span></td>
		<td><span class="phpreportmaker">
<input type="text" name="sv2_receivedDate" id="sv2_receivedDate" value="<?php echo ewrpt_HtmlEncode($sv2_receivedDate) ?>"<?php echo ($sClearExtFilter == 'ContractsBillsReceivableReport_receivedDate') ? " class=\"ewInputCleared\"" : "" ?>>
<img src="phprptimages/calendar.png" id="csv2_receivedDate" alt="" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "sv2_receivedDate", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "csv2_receivedDate" // ID of the button
})
</script>
</span></td>
	</tr>
</table>
<table class="ewRptExtFilter">
	<tr>
		<td><span class="phpreportmaker">
			<input type="Submit" name="Submit" id="Submit" value="Search">&nbsp;
			<input type="Reset" name="Reset" id="Reset" value="Reset">&nbsp;
		</span></td>
	</tr>
</table>
</form>
<!-- Search form (end) -->
</div>
<br />
<?php if (defined("EW_REPORT_SHOW_CURRENT_FILTER")) { ?>
<div id="ewrptFilterList">
<?php ShowFilterList() ?>
</div>
<br />
<?php } ?>
<!-- Report Grid (Begin) -->
<table id="ewReport" class="ewTable">
<?php

// Set the last group to display if not export all
if (EW_REPORT_EXPORT_ALL && @$sExport <> "") {
	$nStopGrp = $nTotalGrps;
} else {
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
}

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps))
	$nStopGrp = $nTotalGrps;
$nRecCount = 0;

// Init summary values
ResetLevelSummary(0);

// Get first row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}

// Force show first header
$bShowFirstHeader = TRUE;
while (($rs && !$rs->EOF) || $bShowFirstHeader) {

	// Show header
	if ($bShowFirstHeader) {
?>
	<tr>
		<td valign="bottom" class="ewRptGrpHeader1">
		<?php if ($bShowFirstHeader || ChkLvlBreak(1)) { ?>
		location Name
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'ContractsBillsReceivableReport_locationName', false, '<?php echo $rf_locationName; ?>', '<?php echo $rt_locationName; ?>');return false;" name="x_locationName<?php echo $cnt[0][0]; ?>" id="x_locationName<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewRptGrpHeader2">
		<?php if ($bShowFirstHeader || ChkLvlBreak(2)) { ?>
		product Name
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'ContractsBillsReceivableReport_productName', false, '<?php echo $rf_productName; ?>', '<?php echo $rt_productName; ?>');return false;" name="x_productName<?php echo $cnt[0][0]; ?>" id="x_productName<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewRptGrpHeader3">
		<?php if ($bShowFirstHeader || ChkLvlBreak(3)) { ?>
		client Name
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'ContractsBillsReceivableReport_clientName', false, '<?php echo $rf_clientName; ?>', '<?php echo $rt_clientName; ?>');return false;" name="x_clientName<?php echo $cnt[0][0]; ?>" id="x_clientName<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewRptGrpHeader4">
		<?php if ($bShowFirstHeader || ChkLvlBreak(4)) { ?>
		project Name
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'ContractsBillsReceivableReport_projectName', false, '<?php echo $rf_projectName; ?>', '<?php echo $rt_projectName; ?>');return false;" name="x_projectName<?php echo $cnt[0][0]; ?>" id="x_projectName<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewTableHeader">
		Milestone
		</td>
		<td valign="bottom" class="ewTableHeader">
		Billl No
		</td>
		<td valign="bottom" class="ewTableHeader">
		Bill Date
		</td>
		<td valign="bottom" class="ewTableHeader">
		Receipt No
		</td>
		<td valign="bottom" class="ewTableHeader">
		Received Date
		</td>
	</tr>
<?php
		$bShowFirstHeader = FALSE;
	}
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1)
			$sItemRowClass = " class=\"ewTableAltRow\"";

		// Show group values
		$dg_locationName = $x_locationName;
		if ((is_null($x_locationName) && is_null($o_locationName)) ||
			(($x_locationName <> "" && $o_locationName == $dg_locationName) && !ChkLvlBreak(1))) {
			$dg_locationName = "";
		} elseif (is_null($x_locationName)) {
			$dg_locationName = EW_REPORT_NULL_LABEL;
		} elseif ($x_locationName == "") {
			$dg_locationName = EW_REPORT_EMPTY_LABEL;
		}
		$dg_productName = $x_productName;
		if ((is_null($x_productName) && is_null($o_productName)) ||
			(($x_productName <> "" && $o_productName == $dg_productName) && !ChkLvlBreak(2))) {
			$dg_productName = "";
		} elseif (is_null($x_productName)) {
			$dg_productName = EW_REPORT_NULL_LABEL;
		} elseif ($x_productName == "") {
			$dg_productName = EW_REPORT_EMPTY_LABEL;
		}
		$dg_clientName = $x_clientName;
		if ((is_null($x_clientName) && is_null($o_clientName)) ||
			(($x_clientName <> "" && $o_clientName == $dg_clientName) && !ChkLvlBreak(3))) {
			$dg_clientName = "";
		} elseif (is_null($x_clientName)) {
			$dg_clientName = EW_REPORT_NULL_LABEL;
		} elseif ($x_clientName == "") {
			$dg_clientName = EW_REPORT_EMPTY_LABEL;
		}
		$dg_projectName = $x_projectName;
		if ((is_null($x_projectName) && is_null($o_projectName)) ||
			(($x_projectName <> "" && $o_projectName == $dg_projectName) && !ChkLvlBreak(4))) {
			$dg_projectName = "";
		} elseif (is_null($x_projectName)) {
			$dg_projectName = EW_REPORT_NULL_LABEL;
		} elseif ($x_projectName == "") {
			$dg_projectName = EW_REPORT_EMPTY_LABEL;
		}
?>
	<tr<?php echo $sItemRowClass; ?>>
		<td class="ewRptGrpField1">
		<?php $t_locationName = $x_locationName; $x_locationName = $dg_locationName; ?>
<?php echo $x_locationName ?>
		<?php $x_locationName = $t_locationName; ?></td>
		<td class="ewRptGrpField2">
		<?php $t_productName = $x_productName; $x_productName = $dg_productName; ?>
<?php echo $x_productName ?>
		<?php $x_productName = $t_productName; ?></td>
		<td class="ewRptGrpField3">
		<?php $t_clientName = $x_clientName; $x_clientName = $dg_clientName; ?>
<?php echo $x_clientName ?>
		<?php $x_clientName = $t_clientName; ?></td>
		<td class="ewRptGrpField4">
		<?php $t_projectName = $x_projectName; $x_projectName = $dg_projectName; ?>
<?php echo $x_projectName ?>
		<?php $x_projectName = $t_projectName; ?></td>
		<td class="ewRptDtlField">
<?php echo $x_milestone ?>
</td>
		<td class="ewRptDtlField">
<?php echo $x_billNo ?>
</td>
		<td class="ewRptDtlField">
<?php echo ewrpt_FormatDateTime($x_billDate,5) ?>
</td>
		<td class="ewRptDtlField">
<?php echo $x_chequeNo ?>
</td>
		<td class="ewRptDtlField">
<?php echo ewrpt_FormatDateTime($x_receivedDate,5) ?>
</td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Save old group values
	$o_locationName = $x_locationName;
	$o_productName = $x_productName;
	$o_clientName = $x_clientName;
	$o_projectName = $x_projectName;

	// Get next record
	GetRow(2);

	// Show Footers
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
?>
<?php
		if (ChkLvlBreak(2) && intval(@$cnt[2][0]) > 0) {
?>
	<tr>
		<td class="ewRptGrpField1"></td>
		<td colspan="8" class="ewRptGrpSummary2">Summary for product Name: <?php $t_productName = $x_productName; $x_productName = $o_productName; ?>
<?php echo $x_productName ?>
<?php $x_productName = $t_productName; ?> (<?php echo ewrpt_FormatNumber($cnt[2][0],0,-2,-2,-2); ?> Detail Records)</td></tr>
<?php

			// Reset level 2 summary
			ResetLevelSummary(2);
		}
?>
<?php
		if (ChkLvlBreak(1) && intval(@$cnt[1][0]) > 0) {
?>
	<tr>
		<td colspan="9" class="ewRptGrpSummary1">Summary for location Name: <?php $t_locationName = $x_locationName; $x_locationName = $o_locationName; ?>
<?php echo $x_locationName ?>
<?php $x_locationName = $t_locationName; ?> (<?php echo ewrpt_FormatNumber($cnt[1][0],0,-2,-2,-2); ?> Detail Records)</td></tr>
<?php

			// Reset level 1 summary
			ResetLevelSummary(1);
		}
?>
<?php
	}

	// Increment group count
	if (ChkLvlBreak(1))
		$nGrpCount++;
} // End while
?>
<?php if ($nTotalGrps > 0) { ?>
	<!-- tr><td colspan="9"><span class="phpreportmaker">&nbsp;<br /></span></td></tr -->
	<tr class="ewRptGrandSummary"><td colspan="9">Grand Total (<?php echo ewrpt_FormatNumber($cnt[0][0],0,-2,-2,-2); ?> Detail Records)</td></tr>
<?php } ?>
</table>
<br />
<form action="ContractsBillsReceivableReportsmry.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1)
		$PrevStart = 1;
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps)
		$NextStart = $nStartGrp;
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="phprptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="ContractsBillsReceivableReportsmry.php?start=1"><img src="phprptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="phprptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="ContractsBillsReceivableReportsmry.php?start=<?php echo $PrevStart; ?>"><img src="phprptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="phprptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="ContractsBillsReceivableReportsmry.php?start=<?php echo $NextStart; ?>"><img src="phprptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="phprptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="ContractsBillsReceivableReportsmry.php?start=<?php echo $LastStart; ?>"><img src="phprptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php
	if ($nStartGrp > $nTotalGrps)
		$nStartGrp = $nTotalGrps;
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof)
		$nGrpCount = $nTotalGrps;
	if ($nStopGrp > $nGrpCount)
		$nStopGrp = $nGrpCount; ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<?php if ($sExtendedFilter == "0=101") { ?>
	<span class="phpreportmaker">Please enter search criteria</span>
	<?php } else { ?>
	<span class="phpreportmaker">No records found</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Groups Per Page&nbsp;
<select name="<?php echo EW_REPORT_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
</div>
<!-- Summary Report Ends -->
	</div><br /></td>
	<!-- Center Container - Report (End) -->
	<!-- Right Container (Begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- Right slot -->
	</div></td>
	<!-- Right Container (End) -->
</tr>
<!-- Bottom Container (Begin) -->
<tr><td colspan="3"><div id="ewBottom" class="phpreportmaker">
	<!-- Bottom slot -->
	</div><br /></td></tr>
<!-- Bottom Container (End) -->
</table>
<!-- Table Container (End) -->
<?php
$conn->Close();
?>
<?php include "phprptinc/footer.php"; ?>
<?php

// Check level break
function ChkLvlBreak($lvl) {
	switch ($lvl) {
		case 1:
			return (is_null($GLOBALS["x_locationName"]) && !is_null($GLOBALS["o_locationName"])) ||
				(!is_null($GLOBALS["x_locationName"]) && is_null($GLOBALS["o_locationName"])) ||
				($GLOBALS["x_locationName"] <> $GLOBALS["o_locationName"]);
		case 2:
			return (is_null($GLOBALS["x_productName"]) && !is_null($GLOBALS["o_productName"])) ||
				(!is_null($GLOBALS["x_productName"]) && is_null($GLOBALS["o_productName"])) ||
				($GLOBALS["x_productName"] <> $GLOBALS["o_productName"]) || ChkLvlBreak(1); // Recurse upper level
		case 3:
			return (is_null($GLOBALS["x_clientName"]) && !is_null($GLOBALS["o_clientName"])) ||
				(!is_null($GLOBALS["x_clientName"]) && is_null($GLOBALS["o_clientName"])) ||
				($GLOBALS["x_clientName"] <> $GLOBALS["o_clientName"]) || ChkLvlBreak(2); // Recurse upper level
		case 4:
			return (is_null($GLOBALS["x_projectName"]) && !is_null($GLOBALS["o_projectName"])) ||
				(!is_null($GLOBALS["x_projectName"]) && is_null($GLOBALS["o_projectName"])) ||
				($GLOBALS["x_projectName"] <> $GLOBALS["o_projectName"]) || ChkLvlBreak(3); // Recurse upper level
	}
}

// Accummulate summary
function AccumulateSummary() {
	global $smry, $cnt, $col, $val, $mn, $mx;
	for ($ix = 0; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy]++;
			if ($col[$iy]) {
				$valwrk = $val[$iy];
				if (is_null($valwrk) || !is_numeric($valwrk)) {

					// skip
				} else {
					$smry[$ix][$iy] += $valwrk;
					if (is_null($mn[$ix][$iy])) {
						$mn[$ix][$iy] = $valwrk;
						$mx[$ix][$iy] = $valwrk;
					} else {
						if ($mn[$ix][$iy] > $valwrk) $mn[$ix][$iy] = $valwrk;
						if ($mx[$ix][$iy] < $valwrk) $mx[$ix][$iy] = $valwrk;
					}
				}
			}
		}
	}
	for ($ix = 1; $ix < count($smry); $ix++) {
		$cnt[$ix][0]++;
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {
	global $smry, $cnt, $col, $mn, $mx, $nRecCount, $grandsmry;

	// Clear summary values
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			if ($col[$iy]) {
				$smry[$ix][$iy] = 0;
				$mn[$ix][$iy] = NULL;
				$mx[$ix][$iy] = NULL;
			}
		}
	}
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		$cnt[$ix][0] = 0;
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry[$iy]); $iy++) {
			if ($col[$iy]) {
				$grandsmry[$iy] = 0;
				$grandmn[$iy] = NULL;
				$grandmx[$iy] = NULL;
			}
		}
	}

	// Clear old values
	if ($lvl <= 1) $GLOBALS["o_locationName"] = "";
	if ($lvl <= 2) $GLOBALS["o_productName"] = "";
	if ($lvl <= 3) $GLOBALS["o_clientName"] = "";
	if ($lvl <= 4) $GLOBALS["o_projectName"] = "";

	// Reset record count
	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $cnt, $col, $val, $grandsmry, $grandmn, $grandmx;
	@$cnt[0][0]++;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		if ($col[$iy]) {
			$valwrk = $val[$iy];
			if (is_null($valwrk) || !is_numeric($valwrk)) {

				// skip
			} else {
				$grandsmry[$iy] += $valwrk;
				if (is_null($grandmn[$iy])) {
					$grandmn[$iy] = $valwrk;
					$grandmx[$iy] = $valwrk;
				} else {
					if ($grandmn[$iy] > $valwrk) $grandmn[$iy] = $valwrk;
					if ($grandmx[$iy] < $valwrk) $grandmx[$iy] = $valwrk;
				}
			}
		}
	}
}

// Get row values
function GetRow($opt) {
	global $rs, $val;
	if (!$rs)
		return;
	if ($opt == 1) { // Get first row
		$rs->MoveFirst();
	} else { // Get next row
		$rs->MoveNext();
	}
	while (!$rs->EOF) {
		if (ValidRow($rs)) {
			$GLOBALS['x_projectName'] = $rs->fields('projectName');
			$GLOBALS['x_productName'] = $rs->fields('productName');
			$GLOBALS['x_locationName'] = $rs->fields('locationName');
			$GLOBALS['x_clientName'] = $rs->fields('clientName');
			$GLOBALS['x_milestone'] = $rs->fields('milestone');
			$GLOBALS['x_billNo'] = $rs->fields('billNo');
			$GLOBALS['x_billDate'] = $rs->fields('billDate');
			$GLOBALS['x_chequeNo'] = $rs->fields('chequeNo');
			$GLOBALS['x_receivedDate'] = $rs->fields('receivedDate');
			$val[1] = $GLOBALS['x_milestone'];
			$val[2] = $GLOBALS['x_billNo'];
			$val[3] = $GLOBALS['x_billDate'];
			$val[4] = $GLOBALS['x_chequeNo'];
			$val[5] = $GLOBALS['x_receivedDate'];
			break;
		} else {
			$rs->MoveNext();
		}
	}
	if ($rs->EOF) {
		$GLOBALS['x_projectName'] = "";
		$GLOBALS['x_productName'] = "";
		$GLOBALS['x_locationName'] = "";
		$GLOBALS['x_clientName'] = "";
		$GLOBALS['x_milestone'] = "";
		$GLOBALS['x_billNo'] = "";
		$GLOBALS['x_billDate'] = "";
		$GLOBALS['x_chequeNo'] = "";
		$GLOBALS['x_receivedDate'] = "";
	}
}

//  Set up starting group
function SetUpStartGroup() {
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Exit if no groups
	if ($nDisplayGrps == 0)
		return;

	// Check for a 'start' parameter
	if (@$_GET[EW_REPORT_TABLE_START_GROUP] != "") {
		$nStartGrp = $_GET[EW_REPORT_TABLE_START_GROUP];
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$_GET["pageno"] != "") {
		$nPageNo = $_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];
		}
	} else {
		$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];	
	}

	// Check if correct start group counter
	if (!is_numeric($nStartGrp) || $nStartGrp == "") { // Avoid invalid start group counter
		$nStartGrp = 1; // Reset start group counter
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (intval($nStartGrp) > intval($nTotalGrps)) { // Avoid starting group > total groups
		$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to last page first group
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (($nStartGrp-1) % $nDisplayGrps <> 0) {
		$nStartGrp = intval(($nStartGrp-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to page boundary
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	}
}

// Set up popup
function SetupPopup() {
	global $conn, $sFilter;

	// Initialize popup
	// Build distinct values for locationName

	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_LOCATIONNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_LOCATIONNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_locationName = $rswrk->fields[0];
		if (is_null($x_locationName)) {
			$bNullValue = TRUE;
		} elseif ($x_locationName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_locationName = $x_locationName;
			$dg_locationName = $x_locationName;
			ewrpt_SetupDistinctValues($GLOBALS["val_locationName"], $g_locationName, $dg_locationName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_locationName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_locationName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for productName
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_PRODUCTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_PRODUCTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_productName = $rswrk->fields[0];
		if (is_null($x_productName)) {
			$bNullValue = TRUE;
		} elseif ($x_productName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_productName = $x_productName;
			$dg_productName = $x_productName;
			ewrpt_SetupDistinctValues($GLOBALS["val_productName"], $g_productName, $dg_productName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_productName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_productName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for clientName
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_clientName = $rswrk->fields[0];
		if (is_null($x_clientName)) {
			$bNullValue = TRUE;
		} elseif ($x_clientName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_clientName = $x_clientName;
			$dg_clientName = $x_clientName;
			ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], $g_clientName, $dg_clientName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for projectName
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_projectName = $rswrk->fields[0];
		if (is_null($x_projectName)) {
			$bNullValue = TRUE;
		} elseif ($x_projectName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_projectName = $x_projectName;
			$dg_projectName = $x_projectName;
			ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], $g_projectName, $dg_projectName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Process post back form
	if (count($_POST) > 0) {
		$sName = @$_POST["popup"]; // Get popup form name
		if ($sName <> "") {
		$cntValues = (is_array(@$_POST["sel_$sName"])) ? count($_POST["sel_$sName"]) : 0;
			if ($cntValues > 0) {
				$arValues = ewrpt_StripSlashes($_POST["sel_$sName"]);
				if (trim($arValues[0]) == "") // Select all
					$arValues = EW_REPORT_INIT_VALUE;
				if (!ewrpt_MatchedArray($arValues, $_SESSION["sel_$sName"])) {
					if (HasSessionFilterValues($sName))
						$GLOBALS["sClearExtFilter"] = $sName; // Clear extended filter for this field
				}
				$_SESSION["sel_$sName"] = $arValues;
				$_SESSION["rf_$sName"] = ewrpt_StripSlashes(@$_POST["rf_$sName"]);
				$_SESSION["rt_$sName"] = ewrpt_StripSlashes(@$_POST["rt_$sName"]);
				ResetPager();
			}
		}

	// Get 'reset' command
	} elseif (@$_GET["cmd"] <> "") {
		$sCmd = $_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			ClearSessionSelection('locationName');
			ClearSessionSelection('productName');
			ClearSessionSelection('clientName');
			ClearSessionSelection('projectName');
			ResetPager();
		}
	}

	// Load selection criteria to array
	// Get location Name selected values

	if (is_array(@$_SESSION["sel_ContractsBillsReceivableReport_locationName"])) {
		LoadSelectionFromSession('locationName');
	} elseif (@$_SESSION["sel_ContractsBillsReceivableReport_locationName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_locationName"] = "";
	}

	// Get product Name selected values
	if (is_array(@$_SESSION["sel_ContractsBillsReceivableReport_productName"])) {
		LoadSelectionFromSession('productName');
	} elseif (@$_SESSION["sel_ContractsBillsReceivableReport_productName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_productName"] = "";
	}

	// Get client Name selected values
	if (is_array(@$_SESSION["sel_ContractsBillsReceivableReport_clientName"])) {
		LoadSelectionFromSession('clientName');
	} elseif (@$_SESSION["sel_ContractsBillsReceivableReport_clientName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_clientName"] = "";
	}

	// Get project Name selected values
	if (is_array(@$_SESSION["sel_ContractsBillsReceivableReport_projectName"])) {
		LoadSelectionFromSession('projectName');
	} elseif (@$_SESSION["sel_ContractsBillsReceivableReport_projectName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_projectName"] = "";
	}
}

// Reset pager
function ResetPager() {

	// Reset start position (reset command)
	global $nStartGrp, $nTotalGrps;
	$nStartGrp = 1;
	$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $nTotalGrps;

	// Initialize group count
	$grpcnt = 0;
	while ($rs && !$rs->EOF) {
		$bValidRow = ValidRow($rs);

		// Update group count
		if ($bValidRow) {
			$x_locationName = $rs->fields('locationName');
			$g_locationName = $x_locationName;
			$bNewGroup = ($grpcnt == 0) ||
				(is_null($grpvalue) && !is_null($x_locationName)) ||
				(!is_null($grpvalue) && is_null($x_locationName)) ||
				(@$grpvalue <> $g_locationName);
			if ($bNewGroup) {
				$grpvalue = $g_locationName;
				$grpcnt++;
			}
		}
		$rs->MoveNext();
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow(&$rs) {
	if (!ewrpt_SelectedValue($GLOBALS["sel_locationName"], $rs->fields('locationName'), $GLOBALS["ft_locationName"], $GLOBALS["af_locationName"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_productName"], $rs->fields('productName'), $GLOBALS["ft_productName"], $GLOBALS["af_productName"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_clientName"], $rs->fields('clientName'), $GLOBALS["ft_clientName"], $GLOBALS["af_clientName"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_projectName"], $rs->fields('projectName'), $GLOBALS["ft_projectName"], $GLOBALS["af_projectName"]))
		return FALSE;
	return TRUE;
}
?>
<?php

// Set up number of groups displayed per page
function SetUpDisplayGrps() {
	global $nDisplayGrps, $nStartGrp;
	$sWrk = @$_GET[EW_REPORT_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // display all groups
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, load default
			}
		}
		$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to session

		// Reset start position (reset command)
		$nStartGrp = 1;
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from session
		} else {
			$nDisplayGrps = 3; // Load default
		}
	}
}
?>
<?php

// Get extended filter values
function GetExtendedFilterValues() {
}

// Return extended filter
function GetExtendedFilter() {
	$sFilter = "";
	$bPostBack = (count($_POST) > 0);
	$bRestoreSession = TRUE;
	$bSetupFilter = FALSE;

	// Reset extended filter if filter changed
	if ($bPostBack) {

	// Reset search command
	} elseif (@$_GET["cmd"] == "reset") {

		// Load default values
		// Field receivedDate

		SetSessionFilterValues($GLOBALS["sv1_receivedDate"], $GLOBALS["so1_receivedDate"], $GLOBALS["sc_receivedDate"], $GLOBALS["sv2_receivedDate"], $GLOBALS["so2_receivedDate"], 'receivedDate');
		$bSetupFilter = TRUE;
	} else {

		// Field receivedDate
		if (GetFilterValues($GLOBALS["sv1_receivedDate"], $GLOBALS["so1_receivedDate"], $GLOBALS["sc_receivedDate"], $GLOBALS["sv2_receivedDate"], $GLOBALS["so2_receivedDate"], 'receivedDate')) {
			$bSetupFilter = TRUE;
			$bRestoreSession = FALSE;
		}
	}

	// Restore session
	if ($bRestoreSession) {

		// Field receivedDate
		GetSessionFilterValues($GLOBALS["sv1_receivedDate"], $GLOBALS["so1_receivedDate"], $GLOBALS["sc_receivedDate"], $GLOBALS["sv2_receivedDate"], $GLOBALS["so2_receivedDate"], 'receivedDate');
	}

	// Build SQL
	// Field receivedDate

	BuildExtendedFilter($sFilter, 'receivedDate', '`receivedDate`', EW_REPORT_DATATYPE_DATE, 5, $GLOBALS["sv1_receivedDate"], $GLOBALS["so1_receivedDate"], $GLOBALS["sc_receivedDate"], $GLOBALS["sv2_receivedDate"], $GLOBALS["so2_receivedDate"]);

	// Save parms to session
	// Field receivedDate

	SetSessionFilterValues($GLOBALS["sv1_receivedDate"], $GLOBALS["so1_receivedDate"], $GLOBALS["sc_receivedDate"], $GLOBALS["sv2_receivedDate"], $GLOBALS["so2_receivedDate"], 'receivedDate');

	// Setup filter
	if ($bSetupFilter) {
	}
	return $sFilter;
}

// Get drop down value from querystring
function GetDropDownValue(&$sv, $parm) {
	if (count($_POST) > 0)
		return FALSE; // Skip post back
	if (isset($_GET["sv_$parm"])) {
		$sv = ewrpt_StripSlashes($_GET["sv_$parm"]);
		return TRUE;
	}
	return FALSE;
}

// Get filter values from querystring
function GetFilterValues(&$sv1, &$so1, &$sc, &$sv2, &$so2, $parm) {
	if (count($_POST) > 0)
		return; // Skip post back
	$got = FALSE;
	if (@$_GET["sv1_$parm"] <> "") {
		$sv1 = ewrpt_StripSlashes($_GET["sv1_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["so1_$parm"] <> "") {
		$so1 = ewrpt_StripSlashes($_GET["so1_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["sc_$parm"] <> "") {
		$sc = ewrpt_StripSlashes($_GET["sc_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["sv2_$parm"] <> "") {
		$sv2 = ewrpt_StripSlashes($_GET["sv2_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["so2_$parm"] <> "") {
		$so2 = ewrpt_StripSlashes($_GET["so2_$parm"]);
		$got = TRUE;
	}
	return $got;
}

// Set default ext filter
function SetDefaultExtFilter($parm, $so1, $sv1, $sc, $so2, $sv2) {
	$GLOBALS["sv1d_$parm"] = $sv1; // Default ext filter value 1
	$GLOBALS["sv2d_$parm"] = $sv2; // Default ext filter value 2 (if operator 2 is enabled)
	$GLOBALS["so1d_$parm"] = $so1; // Default search operator 1
	$GLOBALS["so2d_$parm"] = $so2; // Default search operator 2 (if operator 2 is enabled)
	$GLOBALS["scd_$parm"] = $sc; // Default search condition (if operator 2 is enabled)
}

// Apply default ext filter
function ApplyDefaultExtFilter($parm) {
	$GLOBALS["sv1_$parm"] = $GLOBALS["sv1d_$parm"];
	$GLOBALS["sv2_$parm"] = $GLOBALS["sv2d_$parm"];
	$GLOBALS["so1_$parm"] = $GLOBALS["so1d_$parm"];
	$GLOBALS["so2_$parm"] = $GLOBALS["so2d_$parm"];
	$GLOBALS["sc_$parm"] = $GLOBALS["scd_$parm"];
}

// Check if ext filter applied
function ExtFilterApplied($parm) {
	return (strval($GLOBALS["sv1_$parm"]) <> strval($GLOBALS["sv1d_$parm"]) ||
		strval($GLOBALS["sv2_$parm"]) <> strval($GLOBALS["sv2d_$parm"]) ||
		strval($GLOBALS["so1_$parm"]) <> strval($GLOBALS["so1d_$parm"]) ||
		strval($GLOBALS["so2_$parm"]) <> strval($GLOBALS["so2d_$parm"]) ||
		strval($GLOBALS["sc_$parm"]) <> strval($GLOBALS["scd_$parm"]));
}

// Load selection from a filter clause
function LoadSelectionFromFilter($parm, $filter, &$sel) {
	$sel = "";
	if ($filter <> "") {
		$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_" . strtoupper($parm) . "_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_" . strtoupper($parm) . "_SQL_ORDERBY"], "", $filter, "");
		ewrpt_LoadArrayFromSql($sSql, $sel);
	}
}

// Get dropdown value from session
function GetSessionDropDownValue(&$sv, $parm) {
	GetSessionValue($sv, 'sv_ContractsBillsReceivableReport_' . $parm);
}

// Get filter values from session
function GetSessionFilterValues(&$sv1, &$so1, &$sc, &$sv2, &$so2, $parm) {
	GetSessionValue($sv1, 'sv1_ContractsBillsReceivableReport_' . $parm);
	GetSessionValue($so1, 'so1_ContractsBillsReceivableReport_' . $parm);
	GetSessionValue($sc, 'sc_ContractsBillsReceivableReport_' . $parm);
	GetSessionValue($sv2, 'sv2_ContractsBillsReceivableReport_' . $parm);
	GetSessionValue($so2, 'so2_ContractsBillsReceivableReport_' . $parm);
}

// Get value from session
function GetSessionValue(&$sv, $sn) {
	if (isset($_SESSION[$sn]))
		$sv = $_SESSION[$sn];
}

// Set dropdown value to session
function SetSessionDropDownValue($sv, $parm) {
	$_SESSION['sv_ContractsBillsReceivableReport_' . $parm] = $sv;
}

// Set filter values to session
function SetSessionFilterValues($sv1, $so1, $sc, $sv2, $so2, $parm) {
	$_SESSION['sv1_ContractsBillsReceivableReport_' . $parm] = $sv1;
	$_SESSION['so1_ContractsBillsReceivableReport_' . $parm] = $so1;
	$_SESSION['sc_ContractsBillsReceivableReport_' . $parm] = $sc;
	$_SESSION['sv2_ContractsBillsReceivableReport_' . $parm] = $sv2;
	$_SESSION['so2_ContractsBillsReceivableReport_' . $parm] = $so2;
}

// Check if has Session filter values
function HasSessionFilterValues($parm) {
	return ((@$_SESSION['sv_' . $parm] <> "" && @$_SESSION['sv_' . $parm] <> EW_REPORT_INIT_VALUE) ||
		(@$_SESSION['sv1_' . $parm] <> "" && @$_SESSION['sv1_' . $parm] <> EW_REPORT_INIT_VALUE) ||
		(@$_SESSION['sv2_' . $parm] <> "" && @$_SESSION['sv2_' . $parm] <> EW_REPORT_INIT_VALUE));
}

// Build dropdown filter
function BuildDropDownFilter(&$FilterClause, $FldName, $FldExpression, $FldDataType, $FldDateTimeFormat, $FldVal, $FldOpr) {
	$sWrk = "";
	if ($FldVal == EW_REPORT_NULL_VALUE) {
		$sWrk = $FldExpression . " IS NULL";
	} elseif ($FldVal == EW_REPORT_EMPTY_VALUE) {
		$sWrk = $FldExpression . " = ''";
	} else {
		if (substr($FldVal, 0, 2) == "@@") {
			$sWrk = CustomFilter($FldName, $FldExpression, $FldVal);
		} else {
			if ($FldVal <> "" && $FldVal <> EW_REPORT_INIT_VALUE) {
				if ($FldDataType == EW_REPORT_DATATYPE_DATE && $FldOpr <> "") {
					$sWrk = DateFilterString($FldOpr, $FldVal, $FldDataType);
				} else {
					$sWrk = FilterString("=", $FldVal, $FldDataType);
				}
			}
			if ($sWrk <> "") $sWrk = $FldExpression . $sWrk;
		}
	}
	if ($sWrk <> "") {
		if ($FilterClause <> "") $FilterClause = "(" . $FilterClause . ") AND ";
		$FilterClause .= "(" . $sWrk . ")";
	}
}

// Register custom filter
function RegisterCustomFilter($FldName, $FilterName, $DisplayName, $FldExpression, $FunctionName) {
	global $ewrpt_CustomFilters;
	if (!is_array($ewrpt_CustomFilters))
		$ewrpt_CustomFilters = array();
	$ewrpt_CustomFilters[] = array($FldName, $FilterName, $DisplayName, $FldExpression, $FunctionName);
}

// Custom filter
function CustomFilter($FldName, $FldExpression, $FldVal) {
	global $ewrpt_CustomFilters;
	$sWrk = "";
	$sParm = substr($FldVal, 2);
	if (is_array($ewrpt_CustomFilters)) {
		for ($i = 0; $i < count($ewrpt_CustomFilters); $i++) {
			if ($ewrpt_CustomFilters[$i][0] == $FldName && $ewrpt_CustomFilters[$i][1] == $sParm) {
				$sFld = $ewrpt_CustomFilters[$i][3];
				$sFn = $ewrpt_CustomFilters[$i][4];
				$sWrk = $sFn($sFld);
				break;
			}
		}
	}
	return $sWrk;
}

// Build extended filter
function BuildExtendedFilter(&$FilterClause, $FldName, $FldExpression, $FldDataType, $FldDateTimeFormat, $FldVal1, $FldOpr1, $FldCond, $FldVal2, $FldOpr2) {
	$sWrk = "";
	$FldOpr1 = strtoupper(trim($FldOpr1));
	if ($FldOpr1 == "") $FldOpr1 = "=";
	$FldOpr2 = strtoupper(trim($FldOpr2));
	if ($FldOpr2 == "") $FldOpr2 = "=";
	$wrkFldVal1 = $FldVal1;
	$wrkFldVal2 = $FldVal2;
	if ($FldDataType == EW_REPORT_DATATYPE_BOOLEAN) {
		if ($wrkFldVal1 <> "") $wrkFldVal1 = ($wrkFldVal1 == "1") ? EW_REPORT_TRUE_STRING : EW_REPORT_FALSE_STRING;
		if ($wrkFldVal2 <> "") $wrkFldVal2 = ($wrkFldVal2 == "1") ? EW_REPORT_TRUE_STRING : EW_REPORT_FALSE_STRING;
	} elseif ($FldDataType == EW_REPORT_DATATYPE_DATE) {
		if ($wrkFldVal1 <> "") $wrkFldVal1 = ewrpt_UnFormatDateTime($wrkFldVal1, $FldDateTimeFormat);
		if ($wrkFldVal2 <> "") $wrkFldVal2 = ewrpt_UnFormatDateTime($wrkFldVal2, $FldDateTimeFormat);
	}
	if ($FldOpr1 == "BETWEEN") {
		$IsValidValue = ($FldDataType <> EW_REPORT_DATATYPE_NUMBER ||
			($FldDataType == EW_REPORT_DATATYPE_NUMBER && is_numeric($wrkFldVal1) && is_numeric($wrkFldVal2)));
		if ($wrkFldVal1 <> "" && $wrkFldVal2 <> "" && $IsValidValue)
			$sWrk = $FldExpression . " BETWEEN " . ewrpt_QuotedValue($wrkFldVal1, $FldDataType) .
				" AND " . ewrpt_QuotedValue($wrkFldVal2, $FldDataType);
	} elseif ($FldOpr1 == "IS NULL" || $FldOpr1 == "IS NOT NULL") {
		$sWrk = $FldExpression . " " . $wrkFldVal1;
	} else {
		$IsValidValue = ($FldDataType <> EW_REPORT_DATATYPE_NUMBER ||
			($FldDataType == EW_REPORT_DATATYPE_NUMBER && is_numeric($wrkFldVal1)));
		if ($wrkFldVal1 <> "" && $IsValidValue && ewrpt_IsValidOpr($FldOpr1, $FldDataType))
			$sWrk = $FldExpression . FilterString($FldOpr1, $wrkFldVal1, $FldDataType);
		$IsValidValue = ($FldDataType <> EW_REPORT_DATATYPE_NUMBER ||
			($FldDataType == EW_REPORT_DATATYPE_NUMBER && is_numeric($wrkFldVal2)));
		if ($wrkFldVal2 <> "" && $IsValidValue && ewrpt_IsValidOpr($FldOpr2, $FldDataType)) {
			if ($sWrk <> "")
				$sWrk .= " " . (($FldCond = "OR") ? "OR" : "AND") . " ";
			$sWrk .= $FldExpression & FilterString($FldOpr2, $wrkFldVal2, $FldDataType);
		}
	}
	if ($sWrk <> "") {
		if ($FilterClause <> "") $FilterClause .= " AND ";
		$FilterClause .= "(" . $sWrk . ")";
	}
}

// Return filter string
function FilterString($FldOpr, $FldVal, $FldType) {
	if ($FldOpr == "LIKE" || $FldOpr == "NOT LIKE") {
		return " " . $FldOpr . " " . ewrpt_QuotedValue("%$FldVal%", $FldType);
	} elseif ($FldOpr == "STARTS WITH") {
		return " LIKE " . ewrpt_QuotedValue("$FldVal%", $FldType);
	} else {
		return " $FldOpr " . ewrpt_QuotedValue($FldVal, $FldType);
	}
}

// Return date search string
function DateFilterString($FldOpr, $FldVal, $FldType) {
	$wrkVal1 = DateVal($FldOpr, $FldVal, 1);
	$wrkVal2 = DateVal($FldOpr, $FldVal, 2);
	if ($wrkVal1 <> "" && $wrkVal2 <> "") {
		return " BETWEEN " . ewrpt_QuotedValue($wrkVal1, $FldType) . " AND " . ewrpt_QuotedValue($wrkVal2, $FldType);
	} else {
		return "";
	}
}

// Return date value
function DateVal($FldOpr, $FldVal, $ValType) {

	// Compose date string
	switch (strtolower($FldOpr)) {
	case "year":
		if ($ValType == 1) {
			$wrkVal = "$FldVal-01-01";
		} elseif ($ValType == 2) {
			$wrkVal = "$FldVal-12-31";
		}
		break;
	case "quarter":
		list($y, $q) = explode("|", $FldVal);
		if (intval($y) == 0 || intval($q) == 0) {
			$wrkVal = "0000-00-00";
		} else {
			if ($ValType == 1) {
				$m = ($q - 1) * 3 + 1;
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-01";
			} elseif ($ValType == 2) {
				$m = ($q - 1) * 3 + 3;
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-" . ewrpt_DaysInMonth($y, $m);
			}
		}
		break;
	case "month":
		list($y, $m) = explode("|", $FldVal);
		if (intval($y) == 0 || intval($m) == 0) {
			$wrkVal = "0000-00-00";
		} else {
			if ($ValType == 1) {
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-01";
			} elseif ($ValType == 2) {
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-" . ewrpt_DaysInMonth($y, $m);
			}
		}
		break;
	case "day":
		$wrkVal = str_replace("|", "-", $FldVal);
	}

	// Add time if necessary
	if (preg_match('/(\d{4}|\d{2})-(\d{1,2})-(\d{1,2})/', $wrkVal)) { // date without time
		if ($ValType == 1) {
			$wrkVal .= " 00:00:00";
		} elseif ($ValType == 2) {
			$wrkVal .= " 23:59:59";
		}
	}

	// Check if datetime
	if (preg_match('/(\d{4}|\d{2})-(\d{1,2})-(\d{1,2}) (\d{1,2}):(\d{1,2}):(\d{1,2})/', $wrkVal)) { // datetime
		$DateVal = $wrkVal;
	} else {
		$DateVal = "";
	}
	return $DateVal;
}
?>
<?php

// Clear selection stored in session
function ClearSessionSelection($parm) {
	$_SESSION["sel_ContractsBillsReceivableReport_$parm"] = "";
	$_SESSION["rf_ContractsBillsReceivableReport_$parm"] = "";
	$_SESSION["rt_ContractsBillsReceivableReport_$parm"] = "";
}

// Load selection from session
function LoadSelectionFromSession($parm) {
	$GLOBALS["sel_$parm"] = @$_SESSION["sel_ContractsBillsReceivableReport_$parm"];
	$GLOBALS["rf_$parm"] = @$_SESSION["rf_ContractsBillsReceivableReport_$parm"];
	$GLOBALS["rt_$parm"] = @$_SESSION["rt_ContractsBillsReceivableReport_$parm"];
}

// Load default value for filters
function LoadDefaultFilters() {

	/**
	* Set up default values for dropdown filters
	*/

	/**
	* Set up default values for extended filters
	* function SetDefaultExtFilter($parm, $so1, $sv1, $sc, $so2, $sv2)
	* Parameters:
	* $parm - Field name
	* $so1 - Default search operator 1
	* $sv1 - Default ext filter value 1
	* $sc - Default search condition (if operator 2 is enabled)
	* $so2 - Default search operator 2 (if operator 2 is enabled)
	* $sv2 - Default ext filter value 2 (if operator 2 is enabled)
	*/

	// Field receivedDate
	SetDefaultExtFilter('receivedDate', '=', NULL, 'AND', '=', NULL);
	ApplyDefaultExtFilter('receivedDate');

	/**
	* Set up default values for popup filters
	* NOTE: if extended filter is enabled, use default values in extended filter instead
	*/

	// Field projectName
	// Setup your default values for the extended filter below, e.g.
	// $seld_projectName = array("val1", "val2");

	$GLOBALS["seld_projectName"] = "";
	$GLOBALS["sel_projectName"] =  $GLOBALS["seld_projectName"];

	// Field productName
	// Setup your default values for the extended filter below, e.g.
	// $seld_productName = array("val1", "val2");

	$GLOBALS["seld_productName"] = "";
	$GLOBALS["sel_productName"] =  $GLOBALS["seld_productName"];

	// Field locationName
	// Setup your default values for the extended filter below, e.g.
	// $seld_locationName = array("val1", "val2");

	$GLOBALS["seld_locationName"] = "";
	$GLOBALS["sel_locationName"] =  $GLOBALS["seld_locationName"];

	// Field clientName
	// Setup your default values for the extended filter below, e.g.
	// $seld_clientName = array("val1", "val2");

	$GLOBALS["seld_clientName"] = "";
	$GLOBALS["sel_clientName"] =  $GLOBALS["seld_clientName"];
}

// Check if filter applied
function CheckFilter() {

	// Check projectName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_projectName"], $GLOBALS["sel_projectName"]))
		return TRUE;

	// Check productName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_productName"], $GLOBALS["sel_productName"]))
		return TRUE;

	// Check locationName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_locationName"], $GLOBALS["sel_locationName"]))
		return TRUE;

	// Check clientName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_clientName"], $GLOBALS["sel_clientName"]))
		return TRUE;

	// Check receivedDate extended filter
	if (ExtFilterApplied("receivedDate"))
		return TRUE;
	return FALSE;
}

// Show list of filters
function ShowFilterList() {

	// Initialize
	$sFilterList = "";

	// Field projectName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_projectName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_projectName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "project Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field productName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_productName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_productName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "product Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field locationName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_locationName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_locationName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "location Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field clientName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_clientName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_clientName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "client Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field receivedDate
	$sExtWrk = "";
	$sWrk = "";
	BuildExtendedFilter($sExtWrk, 'receivedDate', '`receivedDate`', EW_REPORT_DATATYPE_DATE, 5, $GLOBALS["sv1_receivedDate"], $GLOBALS["so1_receivedDate"], $GLOBALS["sc_receivedDate"], $GLOBALS["sv2_receivedDate"], $GLOBALS["so2_receivedDate"]);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Received Date<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Show Filters
	if ($sFilterList <> "")
		echo "CURRENT FILTERS:<br />$sFilterList";
}

/**
 * Regsiter your Custom filters here
 */

// Setup custom filters
function SetupCustomFilters() {

	// 1. Register your custom filter below (see example)
	// 2. Write your custom filter function (see example fucntions: GetLastMonthFilter, GetStartsWithAFilter)

}

/**
 * Write your Custom filters here
 */

// Filter for 'Last Month' (example)
function GetLastMonthFilter($FldExpression) {
	$today = getdate();
	$lastmonth = mktime(0, 0, 0, $today['mon']-1, 1, $today['year']);
	$sVal = date("Y|m", $lastmonth);
	$sWrk = $FldExpression . " BETWEEN " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 1), EW_REPORT_DATATYPE_DATE) .
		" AND " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 2), EW_REPORT_DATATYPE_DATE);
	return $sWrk;
}

// Filter for 'Starts With A' (example)
function GetStartsWithAFilter($FldExpression) {
	return $FldExpression . " LIKE 'A%'";
}
?>
